
_MP3_init:

;MP3_Driver.mbas,116 :: 		sub procedure MP3_init()
;MP3_Driver.mbas,117 :: 		Musac_Flag        = 0                  'Don't start up with this set
	CLRF        _Musac_Flag+0 
;MP3_Driver.mbas,118 :: 		MP3_CS_Direction  = 0                  'Configure MP3_CS as output
	BCF         TRISC1_bit+0, BitPos(TRISC1_bit+0) 
;MP3_Driver.mbas,119 :: 		MP3_CS            = 1                  'Deselect MP3_CS
	BSF         LATC1_bit+0, BitPos(LATC1_bit+0) 
;MP3_Driver.mbas,120 :: 		MP3_RST_Direction = 0                  'Configure MP3_RST as output
	BCF         TRISC2_bit+0, BitPos(TRISC2_bit+0) 
;MP3_Driver.mbas,121 :: 		MP3_RST           = 1                  'Set MP3_RST pin
	BSF         LATC2_bit+0, BitPos(LATC2_bit+0) 
;MP3_Driver.mbas,123 :: 		DREQ_Direction  = 1                    'Configure DREQ as input
	BSF         TRISD4_bit+0, BitPos(TRISD4_bit+0) 
;MP3_Driver.mbas,124 :: 		BSYNC_Direction = 0                    'Configure BSYNC as output
	BCF         TRISD3_bit+0, BitPos(TRISD3_bit+0) 
;MP3_Driver.mbas,125 :: 		BSYNC           = 0                    'Clear BSYNC
	BCF         LATD3_bit+0, BitPos(LATD3_bit+0) 
;MP3_Driver.mbas,128 :: 		SSP1Add = SPI_Slow                     'Creates a 208ns clock. a setting of five also works at a 170ns clock
	MOVLW       6
	MOVWF       SSP1ADD+0 
;MP3_Driver.mbas,130 :: 		SPI1_Init_Advanced(_SPI_Master_SSP1_Add, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH)
	MOVLW       10
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;MP3_Driver.mbas,132 :: 		Delay_ms(100)                          'SPI1 need a little time to settle
	MOVLW       9
	MOVWF       R11, 0
	MOVLW       30
	MOVWF       R12, 0
	MOVLW       228
	MOVWF       R13, 0
L__MP3_init1:
	DECFSZ      R13, 1, 1
	BRA         L__MP3_init1
	DECFSZ      R12, 1, 1
	BRA         L__MP3_init1
	DECFSZ      R11, 1, 1
	BRA         L__MP3_init1
	NOP
;MP3_Driver.mbas,133 :: 		MP3_Reset                              'Reset the Codec
	CALL        _MP3_Reset+0, 0
;MP3_Driver.mbas,136 :: 		Volume_Level_Pointer = EEPROM_Read ($0A)'Get the saved volume
	MOVLW       10
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _Volume_Level_Pointer+0 
;MP3_Driver.mbas,137 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;MP3_Driver.mbas,138 :: 		if Volume_Level_Pointer > 11           'If it's over 11 the chip just got programmed
	MOVF        _Volume_Level_Pointer+0, 0 
	SUBLW       11
	BTFSC       STATUS+0, 0 
	GOTO        L__MP3_init3
;MP3_Driver.mbas,140 :: 		Volume_Level_Pointer = Initial_Volume  'So put it at areasonable level
	MOVLW       6
	MOVWF       _Volume_Level_Pointer+0 
;MP3_Driver.mbas,141 :: 		EEPROM_Write ($0A, Volume_Level_Pointer) 'and replace the bad one
	MOVLW       10
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVLW       6
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;MP3_Driver.mbas,142 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
L__MP3_init3:
;MP3_Driver.mbas,144 :: 		MP3_State = Idle
	MOVLW       _Idle
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,145 :: 		MUSAC_Counter = EEPROM_Read ($9)       'Keep the file to play in this byte
	MOVLW       9
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _MUSAC_Counter+0 
;MP3_Driver.mbas,146 :: 		EEPROM_Delay                           'Wait 20ms
	CALL        _EEPROM_Delay+0, 0
;MP3_Driver.mbas,147 :: 		ProgressBar1.Position = Volume_Level_Pointer 'Move the PB_Position to the current Volume
	MOVF        _Volume_Level_Pointer+0, 0 
	MOVWF       _ProgressBar1+17 
	MOVLW       0
	MOVWF       _ProgressBar1+18 
;MP3_Driver.mbas,148 :: 		MP3_Init_Flag = 1                      'Tell Set Volume not to print Level Number
	MOVLW       1
	MOVWF       _MP3_Init_Flag+0 
;MP3_Driver.mbas,149 :: 		MP3_Set_Volume                         'Set the volume and save value in EEPROM
	CALL        _MP3_Set_Volume+0, 0
;MP3_Driver.mbas,150 :: 		end sub
L_end_MP3_init:
	RETURN      0
; end of _MP3_init

_MP3_Reset:

;MP3_Driver.mbas,152 :: 		Sub Procedure MP3_Reset ()
;MP3_Driver.mbas,154 :: 		MP3_RST = 0
	BCF         LATC2_bit+0, BitPos(LATC2_bit+0) 
;MP3_Driver.mbas,155 :: 		Delay_ms(10)
	MOVLW       208
	MOVWF       R12, 0
	MOVLW       201
	MOVWF       R13, 0
L__MP3_Reset6:
	DECFSZ      R13, 1, 1
	BRA         L__MP3_Reset6
	DECFSZ      R12, 1, 1
	BRA         L__MP3_Reset6
	NOP
	NOP
;MP3_Driver.mbas,156 :: 		MP3_RST = 1
	BSF         LATC2_bit+0, BitPos(LATC2_bit+0) 
;MP3_Driver.mbas,157 :: 		while (DREQ = 0) nop wend              'wait until DREQ becomes 1, see MP3 VS1053b datasheet, Serial Protocol for SCI
L__MP3_Reset8:
	BTFSC       RD4_bit+0, BitPos(RD4_bit+0) 
	GOTO        L__MP3_Reset9
	NOP
	GOTO        L__MP3_Reset8
L__MP3_Reset9:
;MP3_Driver.mbas,158 :: 		TMR0IE_bit         = 0                 'Disable Interrupt
	BCF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;MP3_Driver.mbas,159 :: 		MP3_State = Write_SPI_Command_State    'This is to avoid Re-Rntry problems
	MOVLW       _Write_SPI_Command_State
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,160 :: 		Address = SCI_Mode_Addr
	MOVLW       _SCI_MODE_ADDR
	MOVWF       _Address+0 
;MP3_Driver.mbas,161 :: 		data_in = 0x0800                       'Rising Edge of the DCLOCK and others see Page 38 of VS1053 Data Sheet
	MOVLW       0
	MOVWF       _data_in+0 
	MOVLW       8
	MOVWF       _data_in+1 
;MP3_Driver.mbas,162 :: 		TMR0IE_bit         = 1                 'Let it run
	BSF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;MP3_Driver.mbas,163 :: 		while MP3_State <> Idle nop wend       'Wait for it to finish
L__MP3_Reset13:
	MOVF        _MP3_State+0, 0 
	XORLW       _Idle
	BTFSC       STATUS+0, 2 
	GOTO        L__MP3_Reset14
	NOP
	GOTO        L__MP3_Reset13
L__MP3_Reset14:
;MP3_Driver.mbas,164 :: 		TMR0IE_bit         = 0                 'Disable Interrupt
	BCF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;MP3_Driver.mbas,165 :: 		MP3_State = Write_SPI_Command_State    'This is to avoid Re-Rntry problems
	MOVLW       _Write_SPI_Command_State
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,166 :: 		Address = SCI_Bass_Addr
	MOVLW       2
	MOVWF       _Address+0 
;MP3_Driver.mbas,167 :: 		data_in = 0x7A00                       ''This sets the Bass Values see page 41 of the VS1053b Data Sheet
	MOVLW       0
	MOVWF       _data_in+0 
	MOVLW       122
	MOVWF       _data_in+1 
;MP3_Driver.mbas,168 :: 		TMR0IE_bit         = 1                 'Let it run
	BSF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;MP3_Driver.mbas,169 :: 		while MP3_State <> Idle nop wend       'Wait for it to finish
L__MP3_Reset18:
	MOVF        _MP3_State+0, 0 
	XORLW       _Idle
	BTFSC       STATUS+0, 2 
	GOTO        L__MP3_Reset19
	NOP
	GOTO        L__MP3_Reset18
L__MP3_Reset19:
;MP3_Driver.mbas,170 :: 		TMR0IE_bit         = 0                 'Disable Interrupt
	BCF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;MP3_Driver.mbas,171 :: 		MP3_State = Write_SPI_Command_State    'This is to avoid Re-Rntry problems
	MOVLW       _Write_SPI_Command_State
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,172 :: 		Address = SCI_CLOCKF_Addr
	MOVLW       3
	MOVWF       _Address+0 
;MP3_Driver.mbas,173 :: 		data_in = 0xC000                       'default 12 288 000 Hz + PLL * 4.5
	MOVLW       0
	MOVWF       _data_in+0 
	MOVLW       192
	MOVWF       _data_in+1 
;MP3_Driver.mbas,174 :: 		TMR0IE_bit         = 1                 'Let it run
	BSF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;MP3_Driver.mbas,175 :: 		while MP3_State <> Idle nop wend       'Wait for it to finish
L__MP3_Reset23:
	MOVF        _MP3_State+0, 0 
	XORLW       _Idle
	BTFSC       STATUS+0, 2 
	GOTO        L__MP3_Reset24
	NOP
	GOTO        L__MP3_Reset23
L__MP3_Reset24:
;MP3_Driver.mbas,177 :: 		end sub
L_end_MP3_Reset:
	RETURN      0
; end of _MP3_Reset

_Play_Mp3:

;MP3_Driver.mbas,181 :: 		Sub Procedure Play_Mp3
;MP3_Driver.mbas,185 :: 		case Idle                              'Nothing requested
	MOVF        _MP3_State+0, 0 
	XORLW       _Idle
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp331
;MP3_Driver.mbas,186 :: 		if MUSAC_Flag = 0x00               'Is MUSAC in effect?
	MOVF        _Musac_Flag+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp333
;MP3_Driver.mbas,188 :: 		exit                             'No Get out as quick as possible
	GOTO        L_end__Play_Mp3
;MP3_Driver.mbas,189 :: 		else
L__Play_Mp333:
;MP3_Driver.mbas,190 :: 		MP3_State = MUSAC                'Yes go to the MUSAC State
	MOVLW       9
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,191 :: 		exit                              'And Bag it
	GOTO        L_end__Play_Mp3
;MP3_Driver.mbas,192 :: 		end if
L__Play_Mp331:
;MP3_Driver.mbas,194 :: 		case DREQ_State
	MOVF        _MP3_State+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp337
;MP3_Driver.mbas,196 :: 		if DREQ = 0
	BTFSC       RD4_bit+0, BitPos(RD4_bit+0) 
	GOTO        L__Play_Mp339
;MP3_Driver.mbas,198 :: 		exit                           'It's Busy Give time back to the main program
	GOTO        L_end__Play_Mp3
;MP3_Driver.mbas,199 :: 		else
L__Play_Mp339:
;MP3_Driver.mbas,200 :: 		MP3_State = DREQ_Return_State  'Caller must set this next state to run
	MOVF        _DREQ_Return_State+0, 0 
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,201 :: 		goto Play_MP3                  'Must force the next state because DREQ is high
	GOTO        _Play_Mp3+0
;MP3_Driver.mbas,202 :: 		end if
	GOTO        L__Play_Mp328
L__Play_Mp337:
;MP3_Driver.mbas,204 :: 		case Initialize
	MOVF        _MP3_State+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp343
;MP3_Driver.mbas,205 :: 		if Mmc_Fat_Init_B = 0               'Is the card formatted FAT-16 ?
	CALL        _Mmc_Fat_Init_B+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp345
;MP3_Driver.mbas,207 :: 		if  Mmc_Fat_Assign_B (Filename,0) = 1 'Yes..Check the File Name
	MOVLW       _Filename+0
	MOVWF       FARG_Mmc_Fat_Assign_B_filename+0 
	MOVLW       hi_addr(_Filename+0)
	MOVWF       FARG_Mmc_Fat_Assign_B_filename+1 
	CLRF        FARG_Mmc_Fat_Assign_B_file_cre_attr+0 
	CALL        _Mmc_Fat_Assign_B+0, 0
	MOVF        R0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp348
;MP3_Driver.mbas,209 :: 		Mmc_Fat_Reset_B (File_Size)'Reset to start of file  and get File Length
	MOVLW       _File_Size+0
	MOVWF       FARG_Mmc_Fat_Reset_B_size+0 
	MOVLW       hi_addr(_File_Size+0)
	MOVWF       FARG_Mmc_Fat_Reset_B_size+1 
	CALL        _Mmc_Fat_Reset_B+0, 0
;MP3_Driver.mbas,210 :: 		SSP1Add = SPI_Fast         'Set SPI to Fast for SD Card Read
	MOVLW       2
	MOVWF       SSP1ADD+0 
;MP3_Driver.mbas,211 :: 		Mp3_State = Send_Block     'And send this File
	MOVLW       3
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,212 :: 		if MUSAC_Flag = 1       'File Does exist and MUSAC Flag set
	MOVF        _Musac_Flag+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp351
;MP3_Driver.mbas,214 :: 		inc (Musac_Counter)    'Do Next File
	INCF        _MUSAC_Counter+0, 1 
;MP3_Driver.mbas,215 :: 		if MUSAC_Counter > 99  '99 is the limit
	MOVLW       128
	XORLW       99
	MOVWF       R0 
	MOVLW       128
	XORWF       _MUSAC_Counter+0, 0 
	SUBWF       R0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__Play_Mp354
;MP3_Driver.mbas,217 :: 		MUSAC_Counter = Initial_Musac_File  'Start this guy Over
	CLRF        _MUSAC_Counter+0 
L__Play_Mp354:
;MP3_Driver.mbas,218 :: 		end if
L__Play_Mp351:
;MP3_Driver.mbas,219 :: 		end if
	GOTO        L__Play_Mp349
;MP3_Driver.mbas,220 :: 		else
L__Play_Mp348:
;MP3_Driver.mbas,221 :: 		MUSAC_Counter = Initial_Musac_File  'Start this guy Over File Doesn't exist
	CLRF        _MUSAC_Counter+0 
;MP3_Driver.mbas,222 :: 		MP3_State = IDLE          'And start up the player from scratch
	MOVLW       _Idle
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,223 :: 		end if
L__Play_Mp349:
	GOTO        L__Play_Mp346
;MP3_Driver.mbas,224 :: 		else
L__Play_Mp345:
;MP3_Driver.mbas,225 :: 		MP3_State = IDLE                'SD Card not Formatted, nothing to do
	MOVLW       _Idle
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,226 :: 		MUSAC_Flag = 0                  'Were out of luck
	CLRF        _Musac_Flag+0 
;MP3_Driver.mbas,227 :: 		end if
L__Play_Mp346:
	GOTO        L__Play_Mp328
L__Play_Mp343:
;MP3_Driver.mbas,229 :: 		case Send_Block                        'This state looks for End of File
	MOVF        _MP3_State+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp358
;MP3_Driver.mbas,230 :: 		if File_Size <= Buffer_Size       'And Starts the SD Card read routine
	MOVF        _File_Size+3, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp3110
	MOVF        _File_Size+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp3110
	MOVF        _File_Size+1, 0 
	SUBLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp3110
	MOVF        _File_Size+0, 0 
	SUBLW       192
L__Play_Mp3110:
	BTFSS       STATUS+0, 0 
	GOTO        L__Play_Mp360
;MP3_Driver.mbas,232 :: 		MP3_State = Read_End_Of_File  'Were at End Of File go do a partial Buffer
	MOVLW       6
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,233 :: 		Bytes_2_Read = 0              'Housekeeping for the Read End Of File Routine
	CLRF        _Bytes_2_Read+0 
	CLRF        _Bytes_2_Read+1 
;MP3_Driver.mbas,234 :: 		SSPAdd = SPI_Fast             'Speed up the SPI
	MOVLW       2
	MOVWF       SSPADD+0 
;MP3_Driver.mbas,235 :: 		Goto Play_MP3                 'Don't give it back yet. Do it now
	GOTO        _Play_Mp3+0
	GOTO        L__Play_Mp361
;MP3_Driver.mbas,236 :: 		else
L__Play_Mp360:
;MP3_Driver.mbas,237 :: 		MP3_State = Read_SD_Data      'Not End Of File read a full Buffer's wort of Data
	MOVLW       4
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,238 :: 		Bytes_2_Read = 0              'Housekeeping fot the Read SD Data Routine
	CLRF        _Bytes_2_Read+0 
	CLRF        _Bytes_2_Read+1 
;MP3_Driver.mbas,239 :: 		goto Play_MP3                 'Don't give it back yet. Do it now
	GOTO        _Play_Mp3+0
;MP3_Driver.mbas,240 :: 		end if
L__Play_Mp361:
	GOTO        L__Play_Mp328
L__Play_Mp358:
;MP3_Driver.mbas,243 :: 		case Read_SD_Data
	MOVF        _MP3_State+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp364
;MP3_Driver.mbas,244 :: 		Read_SD_Data:                                  'Read a Full Buffer from the SD Card
L__Play_Mp3_read_sd_data:
;MP3_Driver.mbas,245 :: 		Mmc_Chip_Select =0                'Enable the SD Card
	BCF         LATC0_bit+0, BitPos(LATC0_bit+0) 
;MP3_Driver.mbas,246 :: 		Mmc_Fat_Read_B (MP3_Buffer [Bytes_2_Read]) 'Read a byte
	MOVLW       _MP3_Buffer+0
	ADDWF       _Bytes_2_Read+0, 0 
	MOVWF       FARG_Mmc_Fat_Read_B_bdata_+0 
	MOVLW       hi_addr(_MP3_Buffer+0)
	ADDWFC      _Bytes_2_Read+1, 0 
	MOVWF       FARG_Mmc_Fat_Read_B_bdata_+1 
	CALL        _Mmc_Fat_Read_B+0, 0
;MP3_Driver.mbas,247 :: 		Mmc_Chip_Select =1                'Manage CS
	BSF         LATC0_bit+0, BitPos(LATC0_bit+0) 
;MP3_Driver.mbas,248 :: 		inc (Bytes_2_Read)                'Next Byte
	INFSNZ      _Bytes_2_Read+0, 1 
	INCF        _Bytes_2_Read+1, 1 
;MP3_Driver.mbas,249 :: 		if Bytes_2_Read = Buffer_Size     'Are we done?
	MOVF        _Bytes_2_Read+1, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp3111
	MOVLW       192
	XORWF       _Bytes_2_Read+0, 0 
L__Play_Mp3111:
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp367
;MP3_Driver.mbas,251 :: 		mp3_State = Write_To_VS1053b 'Yes switch states to write it to the VS1035b
	MOVLW       5
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,252 :: 		Bytes_2_Write_Counter = 0    'Housekeeping for Write To VS1053b Routine
	CLRF        _Bytes_2_Write_Counter+0 
;MP3_Driver.mbas,253 :: 		Blocks_2_Write = 0           'It can only write 32 bytes before checking DREQ
	CLRF        _Blocks_2_Write+0 
;MP3_Driver.mbas,254 :: 		SSPAdd = SPI_Slow            'Slow down the SPI Bus for the VS1053b
	MOVLW       6
	MOVWF       SSPADD+0 
;MP3_Driver.mbas,255 :: 		File_Size = File_Size - Buffer_Size 'Reduce File Size by this Buffer's length
	MOVLW       192
	SUBWF       _File_Size+0, 1 
	MOVLW       1
	SUBWFB      _File_Size+1, 1 
	MOVLW       0
	SUBWFB      _File_Size+2, 1 
	SUBWFB      _File_Size+3, 1 
;MP3_Driver.mbas,256 :: 		goto Play_MP3                'Get to the write routine quickly
	GOTO        _Play_Mp3+0
L__Play_Mp367:
;MP3_Driver.mbas,258 :: 		goto Read_SD_Data            'Not a full Buffer yet Loop
	GOTO        L__Play_Mp3_read_sd_data
L__Play_Mp364:
;MP3_Driver.mbas,260 :: 		case Write_To_VS1053b                 'Writes Blocks of 32 Bytes to the VS1053b
	MOVF        _MP3_State+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp371
;MP3_Driver.mbas,261 :: 		Write_To_VS1053b:                              'in 32 byte chuncks
L__Play_Mp3_write_to_vs1053b:
;MP3_Driver.mbas,262 :: 		if Blocks_2_Write <> Buffer_Size / Bytes_2_Write
	MOVF        _Blocks_2_Write+0, 0 
	XORLW       14
	BTFSC       STATUS+0, 2 
	GOTO        L__Play_Mp374
;MP3_Driver.mbas,264 :: 		BSYNC = 0              'This is in the VS1053b Data Sheet
	BCF         LATD3_bit+0, BitPos(LATD3_bit+0) 
;MP3_Driver.mbas,266 :: 		Data_ = ((@MP3_Buffer + (Blocks_2_Write* Bytes_2_write)) + Bytes_2_Write_Counter)
	MOVLW       5
	MOVWF       R2 
	MOVF        _Blocks_2_Write+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        R2, 0 
L__Play_Mp3112:
	BZ          L__Play_Mp3113
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	ADDLW       255
	GOTO        L__Play_Mp3112
L__Play_Mp3113:
	MOVLW       _MP3_Buffer+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_MP3_Buffer+0)
	ADDWFC      R1, 1 
	MOVF        _Bytes_2_Write_Counter+0, 0 
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       _Data_+0 
	MOVF        R1, 0 
	MOVWF       _Data_+1 
;MP3_Driver.mbas,267 :: 		MP3_cs = 0             'Enable the VS1053b
	BCF         LATC1_bit+0, BitPos(LATC1_bit+0) 
;MP3_Driver.mbas,268 :: 		SPI1_Write (Data_^)    'and write this byte
	MOVFF       R0, FSR0
	MOVFF       R1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;MP3_Driver.mbas,269 :: 		Mp3_cs = 1             'Manage CS
	BSF         LATC1_bit+0, BitPos(LATC1_bit+0) 
;MP3_Driver.mbas,270 :: 		inc (Bytes_2_Write_Counter) 'Bump the counter for this byte
	INCF        _Bytes_2_Write_Counter+0, 1 
;MP3_Driver.mbas,271 :: 		if Bytes_2_Write_Counter <> Bytes_2_Write 'Have we done 32 bytes?
	MOVF        _Bytes_2_Write_Counter+0, 0 
	XORLW       32
	BTFSC       STATUS+0, 2 
	GOTO        L__Play_Mp377
;MP3_Driver.mbas,273 :: 		GOTO Write_To_VS1053b 'So fill it up
	GOTO        L__Play_Mp3_write_to_vs1053b
;MP3_Driver.mbas,274 :: 		else            '32 Bytes have been written
L__Play_Mp377:
;MP3_Driver.mbas,275 :: 		BSYNC = 1     'It's in the VS1053b Data Sheet
	BSF         LATD3_bit+0, BitPos(LATD3_bit+0) 
;MP3_Driver.mbas,278 :: 		DREQ_Return_State = Write_To_VS1053b
	MOVLW       5
	MOVWF       _DREQ_Return_State+0 
;MP3_Driver.mbas,279 :: 		MP3_State = DREQ_State 'Set the STATE to DREQ
	MOVLW       1
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,280 :: 		Bytes_2_write_Counter = 0 'Housekeeping for when we come back
	CLRF        _Bytes_2_Write_Counter+0 
;MP3_Driver.mbas,281 :: 		inc (Blocks_2_Write)      'Count the Chunck of 32 Bytes
	INCF        _Blocks_2_Write+0, 1 
;MP3_Driver.mbas,282 :: 		goto Play_MP3             'Keep streaming it out
	GOTO        _Play_Mp3+0
;MP3_Driver.mbas,284 :: 		end if
	GOTO        L__Play_Mp375
;MP3_Driver.mbas,285 :: 		else                                'Done with this Buffer come here
L__Play_Mp374:
;MP3_Driver.mbas,286 :: 		BSYNC = 1                        'More VS1053b requirements
	BSF         LATD3_bit+0, BitPos(LATD3_bit+0) 
;MP3_Driver.mbas,287 :: 		MP3_State = Send_Block           'Get another Buffer of data
	MOVLW       3
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,288 :: 		goto Play_MP3                    'Send Block looks for End Of File
	GOTO        _Play_Mp3+0
;MP3_Driver.mbas,289 :: 		end if
L__Play_Mp375:
	GOTO        L__Play_Mp328
L__Play_Mp371:
;MP3_Driver.mbas,291 :: 		case Read_End_Of_File                            'End Of File is a short Buffer
	MOVF        _MP3_State+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp381
;MP3_Driver.mbas,292 :: 		Read_End_Of_File:
L__Play_Mp3_read_end_of_file:
;MP3_Driver.mbas,293 :: 		Mmc_Chip_Select = 0                      'Enable the SD Card
	BCF         LATC0_bit+0, BitPos(LATC0_bit+0) 
;MP3_Driver.mbas,294 :: 		Mmc_Fat_Read_B (Mp3_Buffer [Bytes_2_Read]) 'Read a byte
	MOVLW       _MP3_Buffer+0
	ADDWF       _Bytes_2_Read+0, 0 
	MOVWF       FARG_Mmc_Fat_Read_B_bdata_+0 
	MOVLW       hi_addr(_MP3_Buffer+0)
	ADDWFC      _Bytes_2_Read+1, 0 
	MOVWF       FARG_Mmc_Fat_Read_B_bdata_+1 
	CALL        _Mmc_Fat_Read_B+0, 0
;MP3_Driver.mbas,295 :: 		Mmc_Chip_Select =1                       'Manage CS
	BSF         LATC0_bit+0, BitPos(LATC0_bit+0) 
;MP3_Driver.mbas,296 :: 		inc (Bytes_2_Read)                       'Count this byte
	INFSNZ      _Bytes_2_Read+0, 1 
	INCF        _Bytes_2_Read+1, 1 
;MP3_Driver.mbas,297 :: 		if Bytes_2_Read = File_Size              'Is this the last Byte?
	MOVLW       0
	MOVWF       R0 
	XORWF       _File_Size+3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp3114
	MOVF        R0, 0 
	XORWF       _File_Size+2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp3114
	MOVF        _Bytes_2_Read+1, 0 
	XORWF       _File_Size+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp3114
	MOVF        _File_Size+0, 0 
	XORWF       _Bytes_2_Read+0, 0 
L__Play_Mp3114:
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp384
;MP3_Driver.mbas,299 :: 		MP3_State = Write_End_Of_File        'Yes write the data
	MOVLW       7
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,300 :: 		SSPADD = SPI_Slow                    'Slow down the SPI for Writing to the VS1053b
	MOVLW       6
	MOVWF       SSPADD+0 
;MP3_Driver.mbas,301 :: 		Bytes_2_Write_Counter = 0            'Housekeeping for Write End Of File
	CLRF        _Bytes_2_Write_Counter+0 
;MP3_Driver.mbas,302 :: 		goto Play_MP3                        'Do it now to reduce stuttering
	GOTO        _Play_Mp3+0
L__Play_Mp384:
;MP3_Driver.mbas,304 :: 		goto Read_End_Of_File                  'Get the rest of the data
	GOTO        L__Play_Mp3_read_end_of_file
L__Play_Mp381:
;MP3_Driver.mbas,307 :: 		case Write_End_Of_File                          'Write the End Of File Data
	MOVF        _MP3_State+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp388
;MP3_Driver.mbas,308 :: 		Write_End_Of_File:
L__Play_Mp3_write_end_of_file:
;MP3_Driver.mbas,310 :: 		Data_ = @MP3_Buffer + Bytes_2_Write_Counter
	MOVLW       _MP3_Buffer+0
	MOVWF       R0 
	MOVLW       hi_addr(_MP3_Buffer+0)
	MOVWF       R1 
	MOVF        _Bytes_2_Write_Counter+0, 0 
	ADDWF       R0, 1 
	BTFSC       STATUS+0, 0 
	INCF        R1, 1 
	MOVF        R0, 0 
	MOVWF       _Data_+0 
	MOVF        R1, 0 
	MOVWF       _Data_+1 
;MP3_Driver.mbas,311 :: 		BSYNC = 0                          'In the VS1053b Data sheet
	BCF         LATD3_bit+0, BitPos(LATD3_bit+0) 
;MP3_Driver.mbas,312 :: 		MP3_cs = 0                         'Enable the VS1053b
	BCF         LATC1_bit+0, BitPos(LATC1_bit+0) 
;MP3_Driver.mbas,313 :: 		SPI1_Write (Data_^)                'and write the data
	MOVFF       R0, FSR0
	MOVFF       R1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;MP3_Driver.mbas,314 :: 		MP3_cs = 1                         'Manage CS
	BSF         LATC1_bit+0, BitPos(LATC1_bit+0) 
;MP3_Driver.mbas,315 :: 		dec (File_Size)                    'File Size has the Byte Count to write
	MOVLW       1
	SUBWF       _File_Size+0, 1 
	MOVLW       0
	SUBWFB      _File_Size+1, 1 
	SUBWFB      _File_Size+2, 1 
	SUBWFB      _File_Size+3, 1 
;MP3_Driver.mbas,316 :: 		BSYNC = 1                          'In the VS1053b Data sheet
	BSF         LATD3_bit+0, BitPos(LATD3_bit+0) 
;MP3_Driver.mbas,317 :: 		inc (Bytes_2_Write_Counter)        'Count the Bytes Written
	INCF        _Bytes_2_Write_Counter+0, 1 
;MP3_Driver.mbas,318 :: 		if  File_Size = 0                  'Are we done yet?
	MOVLW       0
	MOVWF       R0 
	XORWF       _File_Size+3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp3115
	MOVF        R0, 0 
	XORWF       _File_Size+2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp3115
	MOVF        R0, 0 
	XORWF       _File_Size+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp3115
	MOVF        _File_Size+0, 0 
	XORLW       0
L__Play_Mp3115:
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp391
;MP3_Driver.mbas,320 :: 		MP3_State = Idle              'Yes reset the Server
	MOVLW       _Idle
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,321 :: 		exit                          'And wait for the next task
	GOTO        L_end__Play_Mp3
;MP3_Driver.mbas,322 :: 		else                            'Not done yet
L__Play_Mp391:
;MP3_Driver.mbas,323 :: 		if Bytes_2_Write_Counter <> Bytes_2_Write 'Look for the 32 byte chunk
	MOVF        _Bytes_2_Write_Counter+0, 0 
	XORLW       32
	BTFSC       STATUS+0, 2 
	GOTO        L__Play_Mp394
;MP3_Driver.mbas,325 :: 		goto Write_End_Of_File    'Not yet keep writing
	GOTO        L__Play_Mp3_write_end_of_file
;MP3_Driver.mbas,326 :: 		else                        '32 bytes have been written
L__Play_Mp394:
;MP3_Driver.mbas,327 :: 		Bytes_2_write_counter = 0 'Reset the Chunk Byte counter
	CLRF        _Bytes_2_Write_Counter+0 
;MP3_Driver.mbas,329 :: 		DREQ_Return_State = Write_End_Of_File 'Need to wait for DREQ
	MOVLW       7
	MOVWF       _DREQ_Return_State+0 
;MP3_Driver.mbas,330 :: 		MP3_State = DREQ_State    'wait for DREQ. DREQ gives up the Processor
	MOVLW       1
	MOVWF       _MP3_State+0 
;MP3_Driver.mbas,333 :: 		end if
	GOTO        L__Play_Mp328
L__Play_Mp388:
;MP3_Driver.mbas,335 :: 		case Write_SPI_Command_State     'Write a command to the VS1053b
	MOVF        _MP3_State+0, 0 
	XORLW       _Write_SPI_Command_State
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp398
;MP3_Driver.mbas,336 :: 		BSYNC = 1
	BSF         LATD3_bit+0, BitPos(LATD3_bit+0) 
;MP3_Driver.mbas,337 :: 		MP3_CS = 0               'select MP3 SPI
	BCF         LATC1_bit+0, BitPos(LATC1_bit+0) 
;MP3_Driver.mbas,338 :: 		SPI1_Write(WRITE_CODE)   'From the Data Sheet
	MOVLW       2
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;MP3_Driver.mbas,339 :: 		SPI1_Write(address)      'Passed by the caller
	MOVF        _Address+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;MP3_Driver.mbas,340 :: 		SPI1_Write(Hi(data_in))  'high byte sending 16 Bits a Byte at a time
	MOVF        _data_in+1, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;MP3_Driver.mbas,341 :: 		SPI1_Write(Lo(data_in))  'low byte
	MOVF        _data_in+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;MP3_Driver.mbas,342 :: 		MP3_CS = 1               'deselect MP3 SCI
	BSF         LATC1_bit+0, BitPos(LATC1_bit+0) 
;MP3_Driver.mbas,343 :: 		while (DREQ = 0) nop wend'wait until DREQ becomes 1, see MP3 VS1053b datasheet, Serial Protocol for SCI
L__Play_Mp3100:
	BTFSC       RD4_bit+0, BitPos(RD4_bit+0) 
	GOTO        L__Play_Mp3101
	NOP
	GOTO        L__Play_Mp3100
L__Play_Mp3101:
;MP3_Driver.mbas,344 :: 		MP3_State = Idle         'Put the State Machine back to Idle Ready for next Task
	MOVLW       _Idle
	MOVWF       _MP3_State+0 
	GOTO        L__Play_Mp328
L__Play_Mp398:
;MP3_Driver.mbas,346 :: 		case MUSAC                      'Come here to play Musac Files
	MOVF        _MP3_State+0, 0 
	XORLW       9
	BTFSS       STATUS+0, 2 
	GOTO        L__Play_Mp3106
;MP3_Driver.mbas,347 :: 		Filename = MUSAC_File_Name                   'Copy in the Template
	MOVLW       _Filename+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_Filename+0)
	MOVWF       FSR1H 
	MOVLW       _Musac_File_Name+0
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_Musac_File_Name+0)
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_Musac_File_Name+0)
	MOVWF       TBLPTRU 
	CALL        ___CCS2S+0, 0
	CLRF        POSTINC1+0 
;MP3_Driver.mbas,349 :: 		ShortToStr (MUSAC_Counter, MUSAC_String)     'Convert to ASCII
	MOVF        _MUSAC_Counter+0, 0 
	MOVWF       FARG_ShortToStr_input+0 
	MOVLW       _MUSAC_String+0
	MOVWF       FARG_ShortToStr_output+0 
	MOVLW       hi_addr(_MUSAC_String+0)
	MOVWF       FARG_ShortToStr_output+1 
	CALL        _ShortToStr+0, 0
;MP3_Driver.mbas,350 :: 		memmove(@Filename [5], @MUSAC_String [2], 2) 'Copy in the File Number
	MOVLW       _Filename+5
	MOVWF       FARG_memmove_p1+0 
	MOVLW       hi_addr(_Filename+5)
	MOVWF       FARG_memmove_p1+1 
	MOVLW       _MUSAC_String+2
	MOVWF       FARG_memmove_p2+0 
	MOVLW       hi_addr(_MUSAC_String+2)
	MOVWF       FARG_memmove_p2+1 
	MOVLW       2
	MOVWF       FARG_memmove_nn+0 
	MOVLW       0
	MOVWF       FARG_memmove_nn+1 
	CALL        _memmove+0, 0
;MP3_Driver.mbas,351 :: 		Filename [5] = Filename [5] or "0"           'Make sure that first digit is a number
	MOVLW       48
	IORWF       _Filename+5, 1 
;MP3_Driver.mbas,352 :: 		MP3_State = Start_MP3_Player
	MOVLW       2
	MOVWF       _MP3_State+0 
	GOTO        L__Play_Mp328
L__Play_Mp3106:
L__Play_Mp328:
;MP3_Driver.mbas,355 :: 		end sub
L_end__Play_Mp3:
L_end_Play_Mp3:
	RETURN      0
; end of _Play_Mp3
