
_MP3_Set_Volume:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,226 :: 		sub procedure MP3_Set_Volume
;Pup_Light_Project_Head_End_Screens_events_code.mbas,227 :: 		EEPROM_Write ($0A , Volume_Level_Pointer) 'Save the volume level
	MOVLW       10
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _Volume_Level_Pointer+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,228 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,229 :: 		data_in = Volume_Steps [Volume_Level_Pointer]  'Stuff value
	MOVLW       _Volume_Steps+0
	ADDWF       _Volume_Level_Pointer+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_Volume_Steps+0)
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      TBLPTRH, 1 
	MOVLW       higher_addr(_Volume_Steps+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, _Data_In+0
	MOVLW       0
	MOVWF       _Data_In+1 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,230 :: 		data_in = data_in << 8 + Volume_Steps [Volume_Level_Pointer]
	MOVF        _Data_In+0, 0 
	MOVWF       _Data_In+1 
	CLRF        _Data_In+0 
	MOVLW       _Volume_Steps+0
	ADDWF       _Volume_Level_Pointer+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_Volume_Steps+0)
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      TBLPTRH, 1 
	MOVLW       higher_addr(_Volume_Steps+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 0 
	ADDWF       _Data_In+0, 1 
	MOVLW       0
	ADDWFC      _Data_In+1, 1 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,231 :: 		TMR0IE_bit         = 0                 'Disable Interrupt
	BCF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,232 :: 		Volume_Save_State = MP3_State          'Save what the server is doing
	MOVF        _MP3_State+0, 0 
	MOVWF       _Volume_Save_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,233 :: 		MP3_State = Write_SPI_Command_State    'This is to avoid Re-entry problems
	MOVLW       8
	MOVWF       _MP3_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,234 :: 		Address = SCI_VOL_ADDR
	MOVLW       11
	MOVWF       _Address+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,235 :: 		TMR0IE_bit         = 1                 'Let it run
	BSF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,236 :: 		while MP3_State <> Idle nop wend       'Wait for it to finish
L__MP3_Set_Volume2:
	MOVF        _MP3_State+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__MP3_Set_Volume3
	NOP
	GOTO        L__MP3_Set_Volume2
L__MP3_Set_Volume3:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,237 :: 		TMR0IE_bit         = 0                 'Going to restore the old state and let the server continue
	BCF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,238 :: 		MP3_State = Volume_Save_State          'Back to whatever it was doing
	MOVF        _Volume_Save_State+0, 0 
	MOVWF       _MP3_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,239 :: 		TMR0IE_bit         = 1                 'Let it run now
	BSF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,240 :: 		if MP3_Init_Flag = 1                   'Comming from Init?
	MOVF        _MP3_Init_Flag+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__MP3_Set_Volume7
;Pup_Light_Project_Head_End_Screens_events_code.mbas,242 :: 		MP3_Init_Flag = 0                  'Reset the flag
	CLRF        _MP3_Init_Flag+0 
	GOTO        L__MP3_Set_Volume8
;Pup_Light_Project_Head_End_Screens_events_code.mbas,243 :: 		else                                 'Don't print the volume number
L__MP3_Set_Volume7:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,244 :: 		ByteToStr (ProgressBar1.Position, Test_Text) 'Else convert the position
	MOVF        _ProgressBar1+17, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _Test_Text+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_Test_Text+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,245 :: 		GLCD_Write_Text ("    ",1*6,7,1)'to ASCII
	MOVLW       32
	MOVWF       ?LocalText_MP3_Set_Volume+0 
	MOVLW       32
	MOVWF       ?LocalText_MP3_Set_Volume+1 
	MOVLW       32
	MOVWF       ?LocalText_MP3_Set_Volume+2 
	MOVLW       32
	MOVWF       ?LocalText_MP3_Set_Volume+3 
	CLRF        ?LocalText_MP3_Set_Volume+4 
	MOVLW       ?LocalText_MP3_Set_Volume+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_MP3_Set_Volume+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       6
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,246 :: 		if ProgressBar1.Position <> 0      'If were not muted
	MOVLW       0
	XORWF       _ProgressBar1+18, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__MP3_Set_Volume173
	MOVLW       0
	XORWF       _ProgressBar1+17, 0 
L__MP3_Set_Volume173:
	BTFSC       STATUS+0, 2 
	GOTO        L__MP3_Set_Volume10
;Pup_Light_Project_Head_End_Screens_events_code.mbas,248 :: 		GLCD_Write_Text (Test_Text,1*6,7,1) 'Write the number
	MOVLW       _Test_Text+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_Test_Text+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       6
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
	GOTO        L__MP3_Set_Volume11
;Pup_Light_Project_Head_End_Screens_events_code.mbas,249 :: 		else
L__MP3_Set_Volume10:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,250 :: 		GLCD_Write_Text ("Mute",1*6,7,1) 'else write "MUTE"
	MOVLW       77
	MOVWF       ?LocalText_MP3_Set_Volume+0 
	MOVLW       117
	MOVWF       ?LocalText_MP3_Set_Volume+1 
	MOVLW       116
	MOVWF       ?LocalText_MP3_Set_Volume+2 
	MOVLW       101
	MOVWF       ?LocalText_MP3_Set_Volume+3 
	CLRF        ?LocalText_MP3_Set_Volume+4 
	MOVLW       ?LocalText_MP3_Set_Volume+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_MP3_Set_Volume+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       6
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,251 :: 		end if
L__MP3_Set_Volume11:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,252 :: 		end if
L__MP3_Set_Volume8:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,253 :: 		end sub
L_end_MP3_Set_Volume:
	RETURN      0
; end of _MP3_Set_Volume

Pup_Light_Project_Head_End_Screens_events_code_Calculate_TP_Check_Sum:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,258 :: 		dim iw as word
;Pup_Light_Project_Head_End_Screens_events_code.mbas,259 :: 		Chk_Sum =0x5A                                        'Seed the initial value
	MOVLW       90
	MOVWF       _Chk_Sum+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,260 :: 		for iw = 0 to 7
	CLRF        Calculate_TP_Check_Sum_iw+0 
	CLRF        Calculate_TP_Check_Sum_iw+1 
L_Pup_Light_Project_Head_End_Screens_events_code_Calculate_TP_Check_Sum14:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,261 :: 		Chk_Sum = Chk_Sum xor EEPROM_Read (iw)            'Xor in the Calibration value
	MOVF        Calculate_TP_Check_Sum_iw+0, 0 
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVF        Calculate_TP_Check_Sum_iw+1, 0 
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	XORWF       _Chk_Sum+0, 1 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,262 :: 		Chk_Sum = Chk_Sum << 1                            'Rotate left to keep it honest
	RLCF        _Chk_Sum+0, 1 
	BCF         _Chk_Sum+0, 0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,263 :: 		EEPROM_Delay                                      'For EEPROM Read
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,264 :: 		next i
	MOVLW       0
	XORWF       Calculate_TP_Check_Sum_iw+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Calculate_TP_Check_Sum175
	MOVLW       7
	XORWF       Calculate_TP_Check_Sum_iw+0, 0 
L_Pup_Light_Project_Head_End_Screens_events_code_Calculate_TP_Check_Sum175:
	BTFSC       STATUS+0, 2 
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Calculate_TP_Check_Sum17
	INFSNZ      Calculate_TP_Check_Sum_iw+0, 1 
	INCF        Calculate_TP_Check_Sum_iw+1, 1 
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Calculate_TP_Check_Sum14
L_Pup_Light_Project_Head_End_Screens_events_code_Calculate_TP_Check_Sum17:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,265 :: 		end sub
L_end_Calculate_TP_Check_Sum:
	RETURN      0
; end of Pup_Light_Project_Head_End_Screens_events_code_Calculate_TP_Check_Sum

Pup_Light_Project_Head_End_Screens_events_code_Write_Cal_Data_To_EEPROM:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,268 :: 		sub procedure Write_Cal_Data_To_EEPROM
;Pup_Light_Project_Head_End_Screens_events_code.mbas,269 :: 		TP_Get_Calibration_Consts(@x_min, @x_max, @y_min, @y_max)    ' Get the new calibration constants
	MOVLW       _x_min+0
	MOVWF       FARG_TP_Get_Calibration_Consts_x_min+0 
	MOVLW       hi_addr(_x_min+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_x_min+1 
	MOVLW       _x_max+0
	MOVWF       FARG_TP_Get_Calibration_Consts_x_max+0 
	MOVLW       hi_addr(_x_max+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_x_max+1 
	MOVLW       _y_min+0
	MOVWF       FARG_TP_Get_Calibration_Consts_y_min+0 
	MOVLW       hi_addr(_y_min+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_y_min+1 
	MOVLW       _y_max+0
	MOVWF       FARG_TP_Get_Calibration_Consts_y_max+0 
	MOVLW       hi_addr(_y_max+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_y_max+1 
	CALL        _TP_Get_Calibration_Consts+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,272 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,273 :: 		EEPROM_Write($00, Hi (X_Min))
	CLRF        FARG_Eeprom_Write_address+0 
	CLRF        FARG_Eeprom_Write_address+1 
	MOVF        _x_min+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,274 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,275 :: 		EEPROM_Write($01, Lo (X_Min))
	MOVLW       1
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _x_min+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,276 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,277 :: 		EEPROM_Write($02, Hi (X_Max))
	MOVLW       2
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _x_max+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,278 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,279 :: 		EEPROM_Write($03, Lo (X_Max))
	MOVLW       3
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _x_max+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,280 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,281 :: 		EEPROM_Write($04, Hi (Y_Min))
	MOVLW       4
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_min+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,282 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,283 :: 		EEPROM_Write($05, Lo (Y_Min))
	MOVLW       5
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_min+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,284 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,285 :: 		EEPROM_Write($06, Hi (Y_Max))
	MOVLW       6
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_max+1, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,286 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,287 :: 		EEPROM_Write($07, Lo (Y_Max))
	MOVLW       7
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _y_max+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,288 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,289 :: 		Calculate_TP_Check_Sum                             'Compute the new Check Sum
	CALL        Pup_Light_Project_Head_End_Screens_events_code_Calculate_TP_Check_Sum+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,290 :: 		EEProm_Write($08,Chk_Sum)
	MOVLW       8
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _Chk_Sum+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,291 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,292 :: 		end sub
L_end_Write_Cal_Data_To_EEPROM:
	RETURN      0
; end of Pup_Light_Project_Head_End_Screens_events_code_Write_Cal_Data_To_EEPROM

Pup_Light_Project_Head_End_Screens_events_code_Calibrate:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,295 :: 		sub procedure Calibrate()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,296 :: 		Cal_01:
L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate_cal_01:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,297 :: 		GLCD_Dot(0,63,1)                                       ' Draw bottom left dot
	CLRF        FARG_Glcd_Dot_x_pos+0 
	MOVLW       63
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,298 :: 		GLCD_Write_Text("TOUCH BOTTOM LEFT",12,5,1)
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+0 
	MOVLW       79
	MOVWF       ?LocalText_Calibrate+1 
	MOVLW       85
	MOVWF       ?LocalText_Calibrate+2 
	MOVLW       67
	MOVWF       ?LocalText_Calibrate+3 
	MOVLW       72
	MOVWF       ?LocalText_Calibrate+4 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+5 
	MOVLW       66
	MOVWF       ?LocalText_Calibrate+6 
	MOVLW       79
	MOVWF       ?LocalText_Calibrate+7 
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+8 
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+9 
	MOVLW       79
	MOVWF       ?LocalText_Calibrate+10 
	MOVLW       77
	MOVWF       ?LocalText_Calibrate+11 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+12 
	MOVLW       76
	MOVWF       ?LocalText_Calibrate+13 
	MOVLW       69
	MOVWF       ?LocalText_Calibrate+14 
	MOVLW       70
	MOVWF       ?LocalText_Calibrate+15 
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+16 
	CLRF        ?LocalText_Calibrate+17 
	MOVLW       ?LocalText_Calibrate+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Calibrate+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,299 :: 		TP_Calibrate_Bottom_Left()                             ' Calibration of bottom left corner
	CALL        _TP_Calibrate_Bottom_Left+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,300 :: 		GLCD_Dot(0,63,0)                                       ' Clear bottom left dot
	CLRF        FARG_Glcd_Dot_x_pos+0 
	MOVLW       63
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	CLRF        FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,301 :: 		GLCD_Write_Text("                 ",12,5,1)
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+0 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+1 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+2 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+3 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+4 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+5 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+6 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+7 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+8 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+9 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+10 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+11 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+12 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+13 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+14 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+15 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+16 
	CLRF        ?LocalText_Calibrate+17 
	MOVLW       ?LocalText_Calibrate+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Calibrate+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,302 :: 		Delay_ms (1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate21:
	DECFSZ      R13, 1, 1
	BRA         L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate21
	DECFSZ      R12, 1, 1
	BRA         L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate21
	DECFSZ      R11, 1, 1
	BRA         L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate21
	NOP
;Pup_Light_Project_Head_End_Screens_events_code.mbas,303 :: 		GLCD_Dot(127,0,1)                                      ' Draw upper right dot
	MOVLW       127
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	CLRF        FARG_Glcd_Dot_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,304 :: 		GLCD_Write_Text("TOUCH UPPER RIGHT",12,4,1)
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+0 
	MOVLW       79
	MOVWF       ?LocalText_Calibrate+1 
	MOVLW       85
	MOVWF       ?LocalText_Calibrate+2 
	MOVLW       67
	MOVWF       ?LocalText_Calibrate+3 
	MOVLW       72
	MOVWF       ?LocalText_Calibrate+4 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+5 
	MOVLW       85
	MOVWF       ?LocalText_Calibrate+6 
	MOVLW       80
	MOVWF       ?LocalText_Calibrate+7 
	MOVLW       80
	MOVWF       ?LocalText_Calibrate+8 
	MOVLW       69
	MOVWF       ?LocalText_Calibrate+9 
	MOVLW       82
	MOVWF       ?LocalText_Calibrate+10 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+11 
	MOVLW       82
	MOVWF       ?LocalText_Calibrate+12 
	MOVLW       73
	MOVWF       ?LocalText_Calibrate+13 
	MOVLW       71
	MOVWF       ?LocalText_Calibrate+14 
	MOVLW       72
	MOVWF       ?LocalText_Calibrate+15 
	MOVLW       84
	MOVWF       ?LocalText_Calibrate+16 
	CLRF        ?LocalText_Calibrate+17 
	MOVLW       ?LocalText_Calibrate+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Calibrate+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,305 :: 		TP_Calibrate_Upper_Right()                             ' Calibration of upper right corner
	CALL        _TP_Calibrate_Upper_Right+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,306 :: 		GLCD_Dot(127,0,0)                                      ' Clear upper right dot
	MOVLW       127
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	CLRF        FARG_Glcd_Dot_y_pos+0 
	CLRF        FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,307 :: 		GLCD_Write_Text("                 ",12,4,1)
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+0 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+1 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+2 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+3 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+4 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+5 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+6 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+7 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+8 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+9 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+10 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+11 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+12 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+13 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+14 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+15 
	MOVLW       32
	MOVWF       ?LocalText_Calibrate+16 
	CLRF        ?LocalText_Calibrate+17 
	MOVLW       ?LocalText_Calibrate+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Calibrate+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,308 :: 		delay_ms (1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate22:
	DECFSZ      R13, 1, 1
	BRA         L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate22
	DECFSZ      R12, 1, 1
	BRA         L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate22
	DECFSZ      R11, 1, 1
	BRA         L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate22
	NOP
;Pup_Light_Project_Head_End_Screens_events_code.mbas,309 :: 		TP_Get_Calibration_Consts( @x_min, @x_max, @y_min, @y_max)
	MOVLW       _x_min+0
	MOVWF       FARG_TP_Get_Calibration_Consts_x_min+0 
	MOVLW       hi_addr(_x_min+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_x_min+1 
	MOVLW       _x_max+0
	MOVWF       FARG_TP_Get_Calibration_Consts_x_max+0 
	MOVLW       hi_addr(_x_max+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_x_max+1 
	MOVLW       _y_min+0
	MOVWF       FARG_TP_Get_Calibration_Consts_y_min+0 
	MOVLW       hi_addr(_y_min+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_y_min+1 
	MOVLW       _y_max+0
	MOVWF       FARG_TP_Get_Calibration_Consts_y_max+0 
	MOVLW       hi_addr(_y_max+0)
	MOVWF       FARG_TP_Get_Calibration_Consts_y_max+1 
	CALL        _TP_Get_Calibration_Consts+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,312 :: 		if ((X_Min < 150) or (X_Min > 260) or (X_Max < 830) or (X_Max > 930) or
	MOVLW       0
	SUBWF       _x_min+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate178
	MOVLW       150
	SUBWF       _x_min+0, 0 
L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate178:
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R1 
	MOVF        _x_min+1, 0 
	SUBLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate179
	MOVF        _x_min+0, 0 
	SUBLW       4
L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate179:
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 0 
	IORWF       R1, 1 
	MOVLW       3
	SUBWF       _x_max+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate180
	MOVLW       62
	SUBWF       _x_max+0, 0 
L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate180:
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 0 
	IORWF       R1, 1 
	MOVF        _x_max+1, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate181
	MOVF        _x_max+0, 0 
	SUBLW       162
L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate181:
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 0 
	IORWF       R1, 1 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,313 :: 		(Y_Min < 190) or (Y_Min > 290) or (Y_Max < 800) or (Y_Max > 900))
	MOVLW       0
	SUBWF       _y_min+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate182
	MOVLW       190
	SUBWF       _y_min+0, 0 
L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate182:
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 0 
	IORWF       R1, 1 
	MOVF        _y_min+1, 0 
	SUBLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate183
	MOVF        _y_min+0, 0 
	SUBLW       34
L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate183:
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 0 
	IORWF       R1, 1 
	MOVLW       3
	SUBWF       _y_max+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate184
	MOVLW       32
	SUBWF       _y_max+0, 0 
L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate184:
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 0 
	IORWF       R1, 1 
	MOVF        _y_max+1, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate185
	MOVF        _y_max+0, 0 
	SUBLW       132
L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate185:
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	IORWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate24
;Pup_Light_Project_Head_End_Screens_events_code.mbas,315 :: 		GoTo Cal_01
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate_cal_01
L_Pup_Light_Project_Head_End_Screens_events_code_Calibrate24:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,317 :: 		end sub
L_end_Calibrate:
	RETURN      0
; end of Pup_Light_Project_Head_End_Screens_events_code_Calibrate

_EEPROM_Delay:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,319 :: 		Sub Procedure EEPROM_Delay             'One place to adjust all the Read/Write Delays
;Pup_Light_Project_Head_End_Screens_events_code.mbas,320 :: 		Delay_ms (20)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__EEPROM_Delay27:
	DECFSZ      R13, 1, 1
	BRA         L__EEPROM_Delay27
	DECFSZ      R12, 1, 1
	BRA         L__EEPROM_Delay27
	DECFSZ      R11, 1, 1
	BRA         L__EEPROM_Delay27
	NOP
;Pup_Light_Project_Head_End_Screens_events_code.mbas,321 :: 		end sub
L_end_EEPROM_Delay:
	RETURN      0
; end of _EEPROM_Delay

_Calibrate_TP_if_Needed:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,325 :: 		sub procedure Calibrate_TP_if_Needed
;Pup_Light_Project_Head_End_Screens_events_code.mbas,327 :: 		EEADRH     = $00                    'Init the High Address
	CLRF        EEADRH+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,328 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,329 :: 		Hi (X_Min) = EEPROM_Read($00)
	CLRF        FARG_Eeprom_Read_address+0 
	CLRF        FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_min+1 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,330 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,331 :: 		Lo (X_Min) = EEPROM_Read($01)
	MOVLW       1
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_min+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,332 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,333 :: 		Hi (X_Max) = EEPROM_Read($02)
	MOVLW       2
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_max+1 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,334 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,335 :: 		Lo (X_Max) = EEPROM_Read($03)
	MOVLW       3
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _x_max+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,336 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,337 :: 		Hi (Y_Min) = EEPROM_Read($04)
	MOVLW       4
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_min+1 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,338 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,339 :: 		Lo (Y_Min) = EEPROM_Read($05)
	MOVLW       5
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_min+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,340 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,341 :: 		Hi (Y_Max) = EEPROM_Read($06)
	MOVLW       6
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_max+1 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,342 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,343 :: 		Lo (Y_Max) = EEPROM_Read($07)
	MOVLW       7
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _y_max+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,344 :: 		EEPROM_Delay
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,345 :: 		Calculate_TP_Check_Sum                          'Check Sum in Chk_Sum
	CALL        Pup_Light_Project_Head_End_Screens_events_code_Calculate_TP_Check_Sum+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,347 :: 		if  EEPROM_Read ($08) <> Chk_Sum                  'Does the EEPROM match?
	MOVLW       8
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	XORWF       _Chk_Sum+0, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L__Calibrate_TP_if_Needed30
;Pup_Light_Project_Head_End_Screens_events_code.mbas,349 :: 		GLCD_Fill(0)                             'No Run the Calibrate Routine
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,350 :: 		GLCD_Write_Text("Calibration",32,3,1)
	MOVLW       67
	MOVWF       ?LocalText_Calibrate_TP_if_Needed+0 
	MOVLW       97
	MOVWF       ?LocalText_Calibrate_TP_if_Needed+1 
	MOVLW       108
	MOVWF       ?LocalText_Calibrate_TP_if_Needed+2 
	MOVLW       105
	MOVWF       ?LocalText_Calibrate_TP_if_Needed+3 
	MOVLW       98
	MOVWF       ?LocalText_Calibrate_TP_if_Needed+4 
	MOVLW       114
	MOVWF       ?LocalText_Calibrate_TP_if_Needed+5 
	MOVLW       97
	MOVWF       ?LocalText_Calibrate_TP_if_Needed+6 
	MOVLW       116
	MOVWF       ?LocalText_Calibrate_TP_if_Needed+7 
	MOVLW       105
	MOVWF       ?LocalText_Calibrate_TP_if_Needed+8 
	MOVLW       111
	MOVWF       ?LocalText_Calibrate_TP_if_Needed+9 
	MOVLW       110
	MOVWF       ?LocalText_Calibrate_TP_if_Needed+10 
	CLRF        ?LocalText_Calibrate_TP_if_Needed+11 
	MOVLW       ?LocalText_Calibrate_TP_if_Needed+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Calibrate_TP_if_Needed+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       32
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,351 :: 		Delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__Calibrate_TP_if_Needed32:
	DECFSZ      R13, 1, 1
	BRA         L__Calibrate_TP_if_Needed32
	DECFSZ      R12, 1, 1
	BRA         L__Calibrate_TP_if_Needed32
	DECFSZ      R11, 1, 1
	BRA         L__Calibrate_TP_if_Needed32
	NOP
;Pup_Light_Project_Head_End_Screens_events_code.mbas,352 :: 		Calibrate()                              'Get new constants
	CALL        Pup_Light_Project_Head_End_Screens_events_code_Calibrate+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,353 :: 		Write_Cal_Data_To_EEPROM
	CALL        Pup_Light_Project_Head_End_Screens_events_code_Write_Cal_Data_To_EEPROM+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,354 :: 		DrawScreen(@SplashScreen)
	MOVLW       _SplashScreen+0
	MOVWF       FARG_DrawScreen_aScreen+0 
	MOVLW       hi_addr(_SplashScreen+0)
	MOVWF       FARG_DrawScreen_aScreen+1 
	CALL        _DrawScreen+0, 0
L__Calibrate_TP_if_Needed30:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,357 :: 		TP_Set_Calibration_Consts( x_min, x_max, y_min, y_max) 'And tell the TP Library routine
	MOVF        _x_min+0, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_x_min+0 
	MOVF        _x_min+1, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_x_min+1 
	MOVF        _x_max+0, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_x_max+0 
	MOVF        _x_max+1, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_x_max+1 
	MOVF        _y_min+0, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_y_min+0 
	MOVF        _y_min+1, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_y_min+1 
	MOVF        _y_max+0, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_y_max+0 
	MOVF        _y_max+1, 0 
	MOVWF       FARG_TP_Set_Calibration_Consts_y_max+1 
	CALL        _TP_Set_Calibration_Consts+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,359 :: 		end sub
L_end_Calibrate_TP_if_Needed:
	RETURN      0
; end of _Calibrate_TP_if_Needed

_Blue_Tooth_Comm_Server:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,363 :: 		sub procedure Blue_Tooth_Comm_Server
;Pup_Light_Project_Head_End_Screens_events_code.mbas,366 :: 		Case Idle
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Blue_Tooth_Comm_Server37
;Pup_Light_Project_Head_End_Screens_events_code.mbas,367 :: 		exit                                                   'Nothing to do bugger off
	GOTO        L_end__Blue_Tooth_Comm_Server
L__Blue_Tooth_Comm_Server37:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,368 :: 		Case Send_Byte_1 , Send_Byte_2
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__Blue_Tooth_Comm_Server40
	GOTO        L__Blue_Tooth_Comm_Server38
L__Blue_Tooth_Comm_Server40:
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__Blue_Tooth_Comm_Server41
L__Blue_Tooth_Comm_Server38:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,369 :: 		If Blue_Tooth_Ready <> 1                                  'BlueTooth not connected
	BTFSC       RD2_bit+0, BitPos(RD2_bit+0) 
	GOTO        L__Blue_Tooth_Comm_Server43
;Pup_Light_Project_Head_End_Screens_events_code.mbas,371 :: 		exit                                                  'no catch it next time around
	GOTO        L_end__Blue_Tooth_Comm_Server
;Pup_Light_Project_Head_End_Screens_events_code.mbas,375 :: 		end if
L__Blue_Tooth_Comm_Server43:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,377 :: 		UART1_Write(Blue_Tooth_Com_buff [Blue_Tooth_Com_State - 1]) 'Write the first or second byte
	DECF        _Blue_Tooth_Com_State+0, 0 
	MOVWF       R0 
	MOVLW       _Blue_Tooth_Com_Buff+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_Blue_Tooth_Com_Buff+0)
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,378 :: 		if Blue_Tooth_Com_State = Send_Byte_1               'Doing byte 1 ?
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__Blue_Tooth_Comm_Server49
;Pup_Light_Project_Head_End_Screens_events_code.mbas,380 :: 		Blue_Tooth_Com_State = Send_Byte_2                 'yes Cue up the second byte
	MOVLW       2
	MOVWF       _Blue_Tooth_Com_State+0 
	GOTO        L__Blue_Tooth_Comm_Server50
;Pup_Light_Project_Head_End_Screens_events_code.mbas,381 :: 		else                                                'No this is byte Two
L__Blue_Tooth_Comm_Server49:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,382 :: 		Blue_Tooth_Com_State = Receive_Byte_1             'Get the response
	MOVLW       3
	MOVWF       _Blue_Tooth_Com_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,383 :: 		end if
L__Blue_Tooth_Comm_Server50:
	GOTO        L__Blue_Tooth_Comm_Server34
L__Blue_Tooth_Comm_Server41:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,386 :: 		Case Receive_Byte_1, Receive_Byte_2                         'Let's get the response
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__Blue_Tooth_Comm_Server53
	GOTO        L__Blue_Tooth_Comm_Server51
L__Blue_Tooth_Comm_Server53:
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__Blue_Tooth_Comm_Server54
L__Blue_Tooth_Comm_Server51:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,387 :: 		If Blue_Tooth_Ready <> 1                                'BlueTooth not connected
	BTFSC       RD2_bit+0, BitPos(RD2_bit+0) 
	GOTO        L__Blue_Tooth_Comm_Server56
;Pup_Light_Project_Head_End_Screens_events_code.mbas,389 :: 		exit                                                  'no catch it next time around
	GOTO        L_end__Blue_Tooth_Comm_Server
;Pup_Light_Project_Head_End_Screens_events_code.mbas,390 :: 		else
L__Blue_Tooth_Comm_Server56:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,391 :: 		If PIR1.5 = 0                                        'Char in the receiver?
	BTFSC       PIR1+0, 5 
	GOTO        L__Blue_Tooth_Comm_Server59
;Pup_Light_Project_Head_End_Screens_events_code.mbas,393 :: 		exit                                              'No get it next time
	GOTO        L_end__Blue_Tooth_Comm_Server
L__Blue_Tooth_Comm_Server59:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,396 :: 		Blue_Tooth_Com_buff [Blue_Tooth_Com_State - 3] = UART1_Read 'Read the first or second byte
	MOVLW       3
	SUBWF       _Blue_Tooth_Com_State+0, 0 
	MOVWF       R0 
	MOVLW       _Blue_Tooth_Com_Buff+0
	MOVWF       FLOC__Blue_Tooth_Comm_Server+0 
	MOVLW       hi_addr(_Blue_Tooth_Com_Buff+0)
	MOVWF       FLOC__Blue_Tooth_Comm_Server+1 
	MOVF        R0, 0 
	ADDWF       FLOC__Blue_Tooth_Comm_Server+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FLOC__Blue_Tooth_Comm_Server+1, 1 
	CALL        _UART1_Read+0, 0
	MOVFF       FLOC__Blue_Tooth_Comm_Server+0, FSR1
	MOVFF       FLOC__Blue_Tooth_Comm_Server+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,397 :: 		if Blue_Tooth_Com_State = Receive_Byte_1            'Doing byte 1 ?
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__Blue_Tooth_Comm_Server62
;Pup_Light_Project_Head_End_Screens_events_code.mbas,399 :: 		Blue_Tooth_Com_State = Receive_Byte_2              'yes Cue up the second byte
	MOVLW       4
	MOVWF       _Blue_Tooth_Com_State+0 
	GOTO        L__Blue_Tooth_Comm_Server63
;Pup_Light_Project_Head_End_Screens_events_code.mbas,400 :: 		else                                                'No this is byte Two
L__Blue_Tooth_Comm_Server62:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,401 :: 		Blue_Tooth_Com_State = Valadite_Response  'Check it
	MOVLW       5
	MOVWF       _Blue_Tooth_Com_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,402 :: 		end if
L__Blue_Tooth_Comm_Server63:
	GOTO        L__Blue_Tooth_Comm_Server34
L__Blue_Tooth_Comm_Server54:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,404 :: 		Case Valadite_Response                                      'See if it's any good
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__Blue_Tooth_Comm_Server66
;Pup_Light_Project_Head_End_Screens_events_code.mbas,405 :: 		Blue_Tooth_Com_State = Idle                           'Ready for next command
	CLRF        _Blue_Tooth_Com_State+0 
	GOTO        L__Blue_Tooth_Comm_Server34
L__Blue_Tooth_Comm_Server66:
L__Blue_Tooth_Comm_Server34:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,407 :: 		end sub
L_end__Blue_Tooth_Comm_Server:
L_end_Blue_Tooth_Comm_Server:
	RETURN      0
; end of _Blue_Tooth_Comm_Server

_Paint_Light_Icons:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,411 :: 		sub procedure Paint_Light_Icons()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,412 :: 		if Light_Status.0 = 1
	BTFSS       _Light_Status+0, 0 
	GOTO        L__Paint_Light_Icons69
;Pup_Light_Project_Head_End_Screens_events_code.mbas,414 :: 		GLCD_PartialImage(24,17, 17, 15, 17, 16, @ LightLitBig)
	MOVLW       24
	MOVWF       FARG_Glcd_PartialImage_x_left+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_x_left+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_y_top+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_y_top+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_width+1 
	MOVLW       15
	MOVWF       FARG_Glcd_PartialImage_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_height+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_picture_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_width+1 
	MOVLW       16
	MOVWF       FARG_Glcd_PartialImage_picture_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_height+1 
	MOVLW       _LightLitBig+0
	MOVWF       FARG_Glcd_PartialImage_image+0 
	MOVLW       hi_addr(_LightLitBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+1 
	MOVLW       higher_addr(_LightLitBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+2 
	CALL        _Glcd_PartialImage+0, 0
	GOTO        L__Paint_Light_Icons70
;Pup_Light_Project_Head_End_Screens_events_code.mbas,415 :: 		else
L__Paint_Light_Icons69:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,416 :: 		GLCD_PartialImage(24,17, 17, 15, 17, 16, @ LightOutBig)
	MOVLW       24
	MOVWF       FARG_Glcd_PartialImage_x_left+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_x_left+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_y_top+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_y_top+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_width+1 
	MOVLW       15
	MOVWF       FARG_Glcd_PartialImage_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_height+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_picture_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_width+1 
	MOVLW       16
	MOVWF       FARG_Glcd_PartialImage_picture_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_height+1 
	MOVLW       _LightOutBig+0
	MOVWF       FARG_Glcd_PartialImage_image+0 
	MOVLW       hi_addr(_LightOutBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+1 
	MOVLW       higher_addr(_LightOutBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+2 
	CALL        _Glcd_PartialImage+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,417 :: 		end if
L__Paint_Light_Icons70:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,419 :: 		if Light_Status.1 = 1
	BTFSS       _Light_Status+0, 1 
	GOTO        L__Paint_Light_Icons72
;Pup_Light_Project_Head_End_Screens_events_code.mbas,421 :: 		GLCD_PartialImage(88,17, 17, 15, 17, 16, @ LightLitBig)
	MOVLW       88
	MOVWF       FARG_Glcd_PartialImage_x_left+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_x_left+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_y_top+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_y_top+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_width+1 
	MOVLW       15
	MOVWF       FARG_Glcd_PartialImage_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_height+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_picture_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_width+1 
	MOVLW       16
	MOVWF       FARG_Glcd_PartialImage_picture_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_height+1 
	MOVLW       _LightLitBig+0
	MOVWF       FARG_Glcd_PartialImage_image+0 
	MOVLW       hi_addr(_LightLitBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+1 
	MOVLW       higher_addr(_LightLitBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+2 
	CALL        _Glcd_PartialImage+0, 0
	GOTO        L__Paint_Light_Icons73
;Pup_Light_Project_Head_End_Screens_events_code.mbas,422 :: 		else
L__Paint_Light_Icons72:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,423 :: 		GLCD_PartialImage(88,17, 17, 15, 17, 16, @ LightOutBig)
	MOVLW       88
	MOVWF       FARG_Glcd_PartialImage_x_left+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_x_left+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_y_top+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_y_top+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_width+1 
	MOVLW       15
	MOVWF       FARG_Glcd_PartialImage_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_height+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_picture_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_width+1 
	MOVLW       16
	MOVWF       FARG_Glcd_PartialImage_picture_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_height+1 
	MOVLW       _LightOutBig+0
	MOVWF       FARG_Glcd_PartialImage_image+0 
	MOVLW       hi_addr(_LightOutBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+1 
	MOVLW       higher_addr(_LightOutBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+2 
	CALL        _Glcd_PartialImage+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,424 :: 		end if
L__Paint_Light_Icons73:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,426 :: 		if Light_Status.2 = 1
	BTFSS       _Light_Status+0, 2 
	GOTO        L__Paint_Light_Icons75
;Pup_Light_Project_Head_End_Screens_events_code.mbas,428 :: 		GLCD_PartialImage(24,48, 17, 15, 17, 16, @ LightLitBig)
	MOVLW       24
	MOVWF       FARG_Glcd_PartialImage_x_left+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_x_left+1 
	MOVLW       48
	MOVWF       FARG_Glcd_PartialImage_y_top+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_y_top+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_width+1 
	MOVLW       15
	MOVWF       FARG_Glcd_PartialImage_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_height+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_picture_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_width+1 
	MOVLW       16
	MOVWF       FARG_Glcd_PartialImage_picture_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_height+1 
	MOVLW       _LightLitBig+0
	MOVWF       FARG_Glcd_PartialImage_image+0 
	MOVLW       hi_addr(_LightLitBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+1 
	MOVLW       higher_addr(_LightLitBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+2 
	CALL        _Glcd_PartialImage+0, 0
	GOTO        L__Paint_Light_Icons76
;Pup_Light_Project_Head_End_Screens_events_code.mbas,429 :: 		else
L__Paint_Light_Icons75:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,430 :: 		GLCD_PartialImage(24, 48, 17,15, 17, 16, @ LightOutBig)
	MOVLW       24
	MOVWF       FARG_Glcd_PartialImage_x_left+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_x_left+1 
	MOVLW       48
	MOVWF       FARG_Glcd_PartialImage_y_top+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_y_top+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_width+1 
	MOVLW       15
	MOVWF       FARG_Glcd_PartialImage_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_height+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_picture_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_width+1 
	MOVLW       16
	MOVWF       FARG_Glcd_PartialImage_picture_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_height+1 
	MOVLW       _LightOutBig+0
	MOVWF       FARG_Glcd_PartialImage_image+0 
	MOVLW       hi_addr(_LightOutBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+1 
	MOVLW       higher_addr(_LightOutBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+2 
	CALL        _Glcd_PartialImage+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,431 :: 		end if
L__Paint_Light_Icons76:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,432 :: 		if Light_Status.3 = 1
	BTFSS       _Light_Status+0, 3 
	GOTO        L__Paint_Light_Icons78
;Pup_Light_Project_Head_End_Screens_events_code.mbas,434 :: 		GLCD_PartialImage(88, 48, 17,15, 17, 16, @ LightLitBig)
	MOVLW       88
	MOVWF       FARG_Glcd_PartialImage_x_left+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_x_left+1 
	MOVLW       48
	MOVWF       FARG_Glcd_PartialImage_y_top+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_y_top+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_width+1 
	MOVLW       15
	MOVWF       FARG_Glcd_PartialImage_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_height+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_picture_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_width+1 
	MOVLW       16
	MOVWF       FARG_Glcd_PartialImage_picture_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_height+1 
	MOVLW       _LightLitBig+0
	MOVWF       FARG_Glcd_PartialImage_image+0 
	MOVLW       hi_addr(_LightLitBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+1 
	MOVLW       higher_addr(_LightLitBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+2 
	CALL        _Glcd_PartialImage+0, 0
	GOTO        L__Paint_Light_Icons79
;Pup_Light_Project_Head_End_Screens_events_code.mbas,435 :: 		else
L__Paint_Light_Icons78:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,436 :: 		GLCD_PartialImage(88, 48, 17,15, 17, 16, @ LightOutBig)
	MOVLW       88
	MOVWF       FARG_Glcd_PartialImage_x_left+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_x_left+1 
	MOVLW       48
	MOVWF       FARG_Glcd_PartialImage_y_top+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_y_top+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_width+1 
	MOVLW       15
	MOVWF       FARG_Glcd_PartialImage_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_height+1 
	MOVLW       17
	MOVWF       FARG_Glcd_PartialImage_picture_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_width+1 
	MOVLW       16
	MOVWF       FARG_Glcd_PartialImage_picture_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_height+1 
	MOVLW       _LightOutBig+0
	MOVWF       FARG_Glcd_PartialImage_image+0 
	MOVLW       hi_addr(_LightOutBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+1 
	MOVLW       higher_addr(_LightOutBig+0)
	MOVWF       FARG_Glcd_PartialImage_image+2 
	CALL        _Glcd_PartialImage+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,437 :: 		end if
L__Paint_Light_Icons79:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,439 :: 		end sub
L_end_Paint_Light_Icons:
	RETURN      0
; end of _Paint_Light_Icons

Pup_Light_Project_Head_End_Screens_events_code_Wait_Uart1_Data_Ready:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,441 :: 		sub procedure Wait_Uart1_Data_Ready
;Pup_Light_Project_Head_End_Screens_events_code.mbas,443 :: 		while (UART1_Data_Ready() <> 1)
L_Pup_Light_Project_Head_End_Screens_events_code_Wait_Uart1_Data_Ready82:
	CALL        _UART1_Data_Ready+0, 0
	MOVF        R0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Wait_Uart1_Data_Ready83
;Pup_Light_Project_Head_End_Screens_events_code.mbas,444 :: 		Continue
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Wait_Uart1_Data_Ready82
;Pup_Light_Project_Head_End_Screens_events_code.mbas,445 :: 		wend
L_Pup_Light_Project_Head_End_Screens_events_code_Wait_Uart1_Data_Ready83:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,446 :: 		end sub
L_end_Wait_Uart1_Data_Ready:
	RETURN      0
; end of Pup_Light_Project_Head_End_Screens_events_code_Wait_Uart1_Data_Ready

Pup_Light_Project_Head_End_Screens_events_code_Write_Controller_Data:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,450 :: 		sub procedure Write_Controller_Data
;Pup_Light_Project_Head_End_Screens_events_code.mbas,451 :: 		WordtoStrWithZeros (ADC_Current_Data [Status_Print_State], Test_Text)
	MOVF        _Status_Print_State+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _ADC_Current_Data+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_ADC_Current_Data+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_WordToStrWithZeros_input+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_WordToStrWithZeros_input+1 
	MOVLW       _Test_Text+0
	MOVWF       FARG_WordToStrWithZeros_output+0 
	MOVLW       hi_addr(_Test_Text+0)
	MOVWF       FARG_WordToStrWithZeros_output+1 
	CALL        _WordToStrWithZeros+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,452 :: 		GLCD_Write_Text (Test_Text,16*6,1,1)
	MOVLW       _Test_Text+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_Test_Text+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       96
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,454 :: 		WordtoStrWithZeros (ADC_Cal_Data [Status_Print_State], Test_Text)
	MOVF        _Status_Print_State+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _ADC_Cal_Data+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_ADC_Cal_Data+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_WordToStrWithZeros_input+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_WordToStrWithZeros_input+1 
	MOVLW       _Test_Text+0
	MOVWF       FARG_WordToStrWithZeros_output+0 
	MOVLW       hi_addr(_Test_Text+0)
	MOVWF       FARG_WordToStrWithZeros_output+1 
	CALL        _WordToStrWithZeros+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,455 :: 		GLCD_Write_Text (Test_Text,16*6,2,1)
	MOVLW       _Test_Text+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_Test_Text+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       96
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,457 :: 		WordtoStrWithZeros (ABS ((ADC_Current_Data [Status_Print_State] - ADC_Cal_Data [Status_Print_State])) , Test_Text)
	MOVF        _Status_Print_State+0, 0 
	MOVWF       R2 
	MOVLW       0
	MOVWF       R3 
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	MOVLW       _ADC_Current_Data+0
	ADDWF       R2, 0 
	MOVWF       R0 
	MOVLW       hi_addr(_ADC_Current_Data+0)
	ADDWFC      R3, 0 
	MOVWF       R1 
	MOVLW       _ADC_Cal_Data+0
	ADDWF       R2, 0 
	MOVWF       FSR2 
	MOVLW       hi_addr(_ADC_Cal_Data+0)
	ADDWFC      R3, 0 
	MOVWF       FSR2H 
	MOVFF       R0, FSR0
	MOVFF       R1, FSR0H
	MOVF        POSTINC2+0, 0 
	SUBWF       POSTINC0+0, 0 
	MOVWF       FARG_abs_a+0 
	MOVF        POSTINC2+0, 0 
	SUBWFB      POSTINC0+0, 0 
	MOVWF       FARG_abs_a+1 
	CALL        _abs+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WordToStrWithZeros_input+0 
	MOVF        R1, 0 
	MOVWF       FARG_WordToStrWithZeros_input+1 
	MOVLW       _Test_Text+0
	MOVWF       FARG_WordToStrWithZeros_output+0 
	MOVLW       hi_addr(_Test_Text+0)
	MOVWF       FARG_WordToStrWithZeros_output+1 
	CALL        _WordToStrWithZeros+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,458 :: 		GLCD_Write_Text (Test_Text,16*6,3,1)
	MOVLW       _Test_Text+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_Test_Text+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       96
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,460 :: 		ByteToHex (Atd_Results, Test_Text)
	MOVF        _ATD_Results+0, 0 
	MOVWF       FARG_ByteToHex_input+0 
	MOVLW       _Test_Text+0
	MOVWF       FARG_ByteToHex_output+0 
	MOVLW       hi_addr(_Test_Text+0)
	MOVWF       FARG_ByteToHex_output+1 
	CALL        _ByteToHex+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,461 :: 		GLCD_Write_Text (Test_Text,19*6,4,1)
	MOVLW       _Test_Text+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_Test_Text+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       114
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,463 :: 		ByteToHex (Light_Port_Bits, Test_Text)
	MOVF        _Light_Port_Bits+0, 0 
	MOVWF       FARG_ByteToHex_input+0 
	MOVLW       _Test_Text+0
	MOVWF       FARG_ByteToHex_output+0 
	MOVLW       hi_addr(_Test_Text+0)
	MOVWF       FARG_ByteToHex_output+1 
	CALL        _ByteToHex+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,464 :: 		GLCD_Write_Text (Test_Text,19*6,5,1)
	MOVLW       _Test_Text+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_Test_Text+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       114
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,466 :: 		inc (Status_Print_State)                            'Next light
	INCF        _Status_Print_State+0, 1 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,467 :: 		if Status_Print_State > Porch_Light_Display
	MOVF        _Status_Print_State+0, 0 
	SUBLW       3
	BTFSC       STATUS+0, 0 
	GOTO        L_Pup_Light_Project_Head_End_Screens_events_code_Write_Controller_Data88
;Pup_Light_Project_Head_End_Screens_events_code.mbas,469 :: 		Status_Print_State = Table_Light_Display
	CLRF        _Status_Print_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,470 :: 		Get_Light_Controller_Data                       'Refresh the data
	CALL        _Get_Light_Controller_Data+0, 0
L_Pup_Light_Project_Head_End_Screens_events_code_Write_Controller_Data88:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,472 :: 		end sub
L_end_Write_Controller_Data:
	RETURN      0
; end of Pup_Light_Project_Head_End_Screens_events_code_Write_Controller_Data

Pup_Light_Project_Head_End_Screens_events_code_Write_Fixed_Headings:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,476 :: 		sub procedure  Write_Fixed_Headings
;Pup_Light_Project_Head_End_Screens_events_code.mbas,478 :: 		GLCD_Write_Text (" Current Data =      ",0,1,1)
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+0 
	MOVLW       67
	MOVWF       ?LocalText_Write_Fixed_Headings+1 
	MOVLW       117
	MOVWF       ?LocalText_Write_Fixed_Headings+2 
	MOVLW       114
	MOVWF       ?LocalText_Write_Fixed_Headings+3 
	MOVLW       114
	MOVWF       ?LocalText_Write_Fixed_Headings+4 
	MOVLW       101
	MOVWF       ?LocalText_Write_Fixed_Headings+5 
	MOVLW       110
	MOVWF       ?LocalText_Write_Fixed_Headings+6 
	MOVLW       116
	MOVWF       ?LocalText_Write_Fixed_Headings+7 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+8 
	MOVLW       68
	MOVWF       ?LocalText_Write_Fixed_Headings+9 
	MOVLW       97
	MOVWF       ?LocalText_Write_Fixed_Headings+10 
	MOVLW       116
	MOVWF       ?LocalText_Write_Fixed_Headings+11 
	MOVLW       97
	MOVWF       ?LocalText_Write_Fixed_Headings+12 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+13 
	MOVLW       61
	MOVWF       ?LocalText_Write_Fixed_Headings+14 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+15 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+16 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+17 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+18 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+19 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+20 
	CLRF        ?LocalText_Write_Fixed_Headings+21 
	MOVLW       ?LocalText_Write_Fixed_Headings+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Write_Fixed_Headings+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	CLRF        FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,481 :: 		GLCD_Write_Text (" Cal Data     =      ",0,2,1)
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+0 
	MOVLW       67
	MOVWF       ?LocalText_Write_Fixed_Headings+1 
	MOVLW       97
	MOVWF       ?LocalText_Write_Fixed_Headings+2 
	MOVLW       108
	MOVWF       ?LocalText_Write_Fixed_Headings+3 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+4 
	MOVLW       68
	MOVWF       ?LocalText_Write_Fixed_Headings+5 
	MOVLW       97
	MOVWF       ?LocalText_Write_Fixed_Headings+6 
	MOVLW       116
	MOVWF       ?LocalText_Write_Fixed_Headings+7 
	MOVLW       97
	MOVWF       ?LocalText_Write_Fixed_Headings+8 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+9 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+10 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+11 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+12 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+13 
	MOVLW       61
	MOVWF       ?LocalText_Write_Fixed_Headings+14 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+15 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+16 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+17 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+18 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+19 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+20 
	CLRF        ?LocalText_Write_Fixed_Headings+21 
	MOVLW       ?LocalText_Write_Fixed_Headings+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Write_Fixed_Headings+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	CLRF        FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,484 :: 		GLCD_Write_Text (" Differance   =      ",0,3,1)
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+0 
	MOVLW       68
	MOVWF       ?LocalText_Write_Fixed_Headings+1 
	MOVLW       105
	MOVWF       ?LocalText_Write_Fixed_Headings+2 
	MOVLW       102
	MOVWF       ?LocalText_Write_Fixed_Headings+3 
	MOVLW       102
	MOVWF       ?LocalText_Write_Fixed_Headings+4 
	MOVLW       101
	MOVWF       ?LocalText_Write_Fixed_Headings+5 
	MOVLW       114
	MOVWF       ?LocalText_Write_Fixed_Headings+6 
	MOVLW       97
	MOVWF       ?LocalText_Write_Fixed_Headings+7 
	MOVLW       110
	MOVWF       ?LocalText_Write_Fixed_Headings+8 
	MOVLW       99
	MOVWF       ?LocalText_Write_Fixed_Headings+9 
	MOVLW       101
	MOVWF       ?LocalText_Write_Fixed_Headings+10 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+11 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+12 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+13 
	MOVLW       61
	MOVWF       ?LocalText_Write_Fixed_Headings+14 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+15 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+16 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+17 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+18 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+19 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+20 
	CLRF        ?LocalText_Write_Fixed_Headings+21 
	MOVLW       ?LocalText_Write_Fixed_Headings+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Write_Fixed_Headings+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	CLRF        FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,488 :: 		GLCD_Write_Text (" ADC_Results  =      ",0,4,1)
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+0 
	MOVLW       65
	MOVWF       ?LocalText_Write_Fixed_Headings+1 
	MOVLW       68
	MOVWF       ?LocalText_Write_Fixed_Headings+2 
	MOVLW       67
	MOVWF       ?LocalText_Write_Fixed_Headings+3 
	MOVLW       95
	MOVWF       ?LocalText_Write_Fixed_Headings+4 
	MOVLW       82
	MOVWF       ?LocalText_Write_Fixed_Headings+5 
	MOVLW       101
	MOVWF       ?LocalText_Write_Fixed_Headings+6 
	MOVLW       115
	MOVWF       ?LocalText_Write_Fixed_Headings+7 
	MOVLW       117
	MOVWF       ?LocalText_Write_Fixed_Headings+8 
	MOVLW       108
	MOVWF       ?LocalText_Write_Fixed_Headings+9 
	MOVLW       116
	MOVWF       ?LocalText_Write_Fixed_Headings+10 
	MOVLW       115
	MOVWF       ?LocalText_Write_Fixed_Headings+11 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+12 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+13 
	MOVLW       61
	MOVWF       ?LocalText_Write_Fixed_Headings+14 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+15 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+16 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+17 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+18 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+19 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+20 
	CLRF        ?LocalText_Write_Fixed_Headings+21 
	MOVLW       ?LocalText_Write_Fixed_Headings+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Write_Fixed_Headings+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	CLRF        FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,491 :: 		GLCD_Write_Text (" Light Port   =      ",0,5,1)
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+0 
	MOVLW       76
	MOVWF       ?LocalText_Write_Fixed_Headings+1 
	MOVLW       105
	MOVWF       ?LocalText_Write_Fixed_Headings+2 
	MOVLW       103
	MOVWF       ?LocalText_Write_Fixed_Headings+3 
	MOVLW       104
	MOVWF       ?LocalText_Write_Fixed_Headings+4 
	MOVLW       116
	MOVWF       ?LocalText_Write_Fixed_Headings+5 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+6 
	MOVLW       80
	MOVWF       ?LocalText_Write_Fixed_Headings+7 
	MOVLW       111
	MOVWF       ?LocalText_Write_Fixed_Headings+8 
	MOVLW       114
	MOVWF       ?LocalText_Write_Fixed_Headings+9 
	MOVLW       116
	MOVWF       ?LocalText_Write_Fixed_Headings+10 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+11 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+12 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+13 
	MOVLW       61
	MOVWF       ?LocalText_Write_Fixed_Headings+14 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+15 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+16 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+17 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+18 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+19 
	MOVLW       32
	MOVWF       ?LocalText_Write_Fixed_Headings+20 
	CLRF        ?LocalText_Write_Fixed_Headings+21 
	MOVLW       ?LocalText_Write_Fixed_Headings+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Write_Fixed_Headings+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	CLRF        FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,494 :: 		end sub
L_end_Write_Fixed_Headings:
	RETURN      0
; end of Pup_Light_Project_Head_End_Screens_events_code_Write_Fixed_Headings

_Get_Light_Controller_Data:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,497 :: 		sub procedure Get_Light_Controller_Data ()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,499 :: 		while Blue_Tooth_Com_State <> Idle
L__Get_Light_Controller_Data93:
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__Get_Light_Controller_Data94
;Pup_Light_Project_Head_End_Screens_events_code.mbas,500 :: 		Blue_Tooth_Comm_Server                           'Keep the server going
	CALL        _Blue_Tooth_Comm_Server+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,501 :: 		continue
	GOTO        L__Get_Light_Controller_Data93
;Pup_Light_Project_Head_End_Screens_events_code.mbas,502 :: 		wend
L__Get_Light_Controller_Data94:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,503 :: 		Blue_Tooth_Com_Buff [0] = Short_Status_Command   '"S"
	MOVLW       83
	MOVWF       _Blue_Tooth_Com_Buff+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,504 :: 		Blue_Tooth_Com_Buff [1] = Fill_Char              'Receiver Sends Data with this command
	MOVLW       13
	MOVWF       _Blue_Tooth_Com_Buff+1 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,505 :: 		Blue_Tooth_Com_State = Start_Comm                'Turn on the Transmitter Routine
	MOVLW       1
	MOVWF       _Blue_Tooth_Com_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,507 :: 		while Blue_Tooth_Com_State <> Idle                     'Wait for the command to process
L__Get_Light_Controller_Data98:
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__Get_Light_Controller_Data99
;Pup_Light_Project_Head_End_Screens_events_code.mbas,508 :: 		Blue_Tooth_Comm_Server                           'Keep the server going
	CALL        _Blue_Tooth_Comm_Server+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,509 :: 		Continue
	GOTO        L__Get_Light_Controller_Data98
;Pup_Light_Project_Head_End_Screens_events_code.mbas,510 :: 		wend
L__Get_Light_Controller_Data99:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,514 :: 		for i = 0 to 3                                         'Get four words of current data
	CLRF        _i+0 
L__Get_Light_Controller_Data103:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,515 :: 		Wait_Uart1_Data_Ready
	CALL        Pup_Light_Project_Head_End_Screens_events_code_Wait_Uart1_Data_Ready+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,516 :: 		HI (ADC_Current_Data [i]) = UART1_Read            'Get the High Byte
	MOVF        _i+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _ADC_Current_Data+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_ADC_Current_Data+0)
	ADDWFC      R1, 1 
	MOVLW       1
	ADDWF       R0, 0 
	MOVWF       FLOC__Get_Light_Controller_Data+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FLOC__Get_Light_Controller_Data+1 
	CALL        _UART1_Read+0, 0
	MOVFF       FLOC__Get_Light_Controller_Data+0, FSR1
	MOVFF       FLOC__Get_Light_Controller_Data+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,518 :: 		Wait_Uart1_Data_Ready
	CALL        Pup_Light_Project_Head_End_Screens_events_code_Wait_Uart1_Data_Ready+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,519 :: 		LO (ADC_Current_Data [i]) = UART1_Read            'Get the Low Byte
	MOVF        _i+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _ADC_Current_Data+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_ADC_Current_Data+0)
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       FLOC__Get_Light_Controller_Data+0 
	MOVF        R1, 0 
	MOVWF       FLOC__Get_Light_Controller_Data+1 
	CALL        _UART1_Read+0, 0
	MOVFF       FLOC__Get_Light_Controller_Data+0, FSR1
	MOVFF       FLOC__Get_Light_Controller_Data+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,520 :: 		next i
	MOVF        _i+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L__Get_Light_Controller_Data106
	INCF        _i+0, 1 
	GOTO        L__Get_Light_Controller_Data103
L__Get_Light_Controller_Data106:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,523 :: 		for i = 0 to 3                                         'Get four words of cal data
	CLRF        _i+0 
L__Get_Light_Controller_Data108:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,525 :: 		Wait_Uart1_Data_Ready
	CALL        Pup_Light_Project_Head_End_Screens_events_code_Wait_Uart1_Data_Ready+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,526 :: 		HI (ADC_Cal_Data [i]) = UART1_Read                'Get the High Byte
	MOVF        _i+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _ADC_Cal_Data+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_ADC_Cal_Data+0)
	ADDWFC      R1, 1 
	MOVLW       1
	ADDWF       R0, 0 
	MOVWF       FLOC__Get_Light_Controller_Data+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FLOC__Get_Light_Controller_Data+1 
	CALL        _UART1_Read+0, 0
	MOVFF       FLOC__Get_Light_Controller_Data+0, FSR1
	MOVFF       FLOC__Get_Light_Controller_Data+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,528 :: 		Wait_Uart1_Data_Ready
	CALL        Pup_Light_Project_Head_End_Screens_events_code_Wait_Uart1_Data_Ready+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,529 :: 		LO (ADC_Cal_Data [i]) = UART1_Read                'Get the Low Byte
	MOVF        _i+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _ADC_Cal_Data+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_ADC_Cal_Data+0)
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       FLOC__Get_Light_Controller_Data+0 
	MOVF        R1, 0 
	MOVWF       FLOC__Get_Light_Controller_Data+1 
	CALL        _UART1_Read+0, 0
	MOVFF       FLOC__Get_Light_Controller_Data+0, FSR1
	MOVFF       FLOC__Get_Light_Controller_Data+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,531 :: 		next i
	MOVF        _i+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L__Get_Light_Controller_Data111
	INCF        _i+0, 1 
	GOTO        L__Get_Light_Controller_Data108
L__Get_Light_Controller_Data111:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,535 :: 		Wait_Uart1_Data_Ready
	CALL        Pup_Light_Project_Head_End_Screens_events_code_Wait_Uart1_Data_Ready+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,536 :: 		ATD_Results = UART1_Read                            'Get the A To D Readings
	CALL        _UART1_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ATD_Results+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,540 :: 		Wait_Uart1_Data_Ready
	CALL        Pup_Light_Project_Head_End_Screens_events_code_Wait_Uart1_Data_Ready+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,541 :: 		Light_Port_Bits = UART1_Read                        'Get the I/O Port Readings
	CALL        _UART1_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _Light_Port_Bits+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,545 :: 		end sub
L_end_Get_Light_Controller_Data:
	RETURN      0
; end of _Get_Light_Controller_Data

_Menu2:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,554 :: 		sub procedure Menu2()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,555 :: 		DrawScreen (@Menu2_Screen)
	MOVLW       _Menu2_Screen+0
	MOVWF       FARG_DrawScreen_aScreen+0 
	MOVLW       hi_addr(_Menu2_Screen+0)
	MOVWF       FARG_DrawScreen_aScreen+1 
	CALL        _DrawScreen+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,556 :: 		Status_Print_State = Display_Stat_Init              'Incase they check the Light Status
	MOVLW       4
	MOVWF       _Status_Print_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,557 :: 		end sub
L_end_Menu2:
	RETURN      0
; end of _Menu2

_Display_Status:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,560 :: 		sub procedure Display_Status
;Pup_Light_Project_Head_End_Screens_events_code.mbas,564 :: 		Case Display_Stat_Init
	MOVF        _Status_Print_State+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__Display_Status117
;Pup_Light_Project_Head_End_Screens_events_code.mbas,566 :: 		DrawScreen (@Status_Display_Screen)                 'Put up the Table Status screen
	MOVLW       _Status_Display_Screen+0
	MOVWF       FARG_DrawScreen_aScreen+0 
	MOVLW       hi_addr(_Status_Display_Screen+0)
	MOVWF       FARG_DrawScreen_aScreen+1 
	CALL        _DrawScreen+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,567 :: 		Write_Fixed_Headings                                'Write the headings
	CALL        Pup_Light_Project_Head_End_Screens_events_code_Write_Fixed_Headings+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,568 :: 		Get_Light_Controller_Data                           'This first one gets the data
	CALL        _Get_Light_Controller_Data+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,569 :: 		Status_Print_State = Table_Light_Display
	CLRF        _Status_Print_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,570 :: 		GLCD_Write_Text ("  Table Light Status ",0,0,1)     'Heading
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+0 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+1 
	MOVLW       84
	MOVWF       ?LocalText_Display_Status+2 
	MOVLW       97
	MOVWF       ?LocalText_Display_Status+3 
	MOVLW       98
	MOVWF       ?LocalText_Display_Status+4 
	MOVLW       108
	MOVWF       ?LocalText_Display_Status+5 
	MOVLW       101
	MOVWF       ?LocalText_Display_Status+6 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+7 
	MOVLW       76
	MOVWF       ?LocalText_Display_Status+8 
	MOVLW       105
	MOVWF       ?LocalText_Display_Status+9 
	MOVLW       103
	MOVWF       ?LocalText_Display_Status+10 
	MOVLW       104
	MOVWF       ?LocalText_Display_Status+11 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+12 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+13 
	MOVLW       83
	MOVWF       ?LocalText_Display_Status+14 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+15 
	MOVLW       97
	MOVWF       ?LocalText_Display_Status+16 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+17 
	MOVLW       117
	MOVWF       ?LocalText_Display_Status+18 
	MOVLW       115
	MOVWF       ?LocalText_Display_Status+19 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+20 
	CLRF        ?LocalText_Display_Status+21 
	MOVLW       ?LocalText_Display_Status+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Display_Status+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	CLRF        FARG_Glcd_Write_Text_x_pos+0 
	CLRF        FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
	GOTO        L__Display_Status114
L__Display_Status117:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,572 :: 		Case Table_Light_Display
	MOVF        _Status_Print_State+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Display_Status120
;Pup_Light_Project_Head_End_Screens_events_code.mbas,573 :: 		GLCD_Write_Text ("  Table Light Status ",0,0,1)     'Heading
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+0 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+1 
	MOVLW       84
	MOVWF       ?LocalText_Display_Status+2 
	MOVLW       97
	MOVWF       ?LocalText_Display_Status+3 
	MOVLW       98
	MOVWF       ?LocalText_Display_Status+4 
	MOVLW       108
	MOVWF       ?LocalText_Display_Status+5 
	MOVLW       101
	MOVWF       ?LocalText_Display_Status+6 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+7 
	MOVLW       76
	MOVWF       ?LocalText_Display_Status+8 
	MOVLW       105
	MOVWF       ?LocalText_Display_Status+9 
	MOVLW       103
	MOVWF       ?LocalText_Display_Status+10 
	MOVLW       104
	MOVWF       ?LocalText_Display_Status+11 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+12 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+13 
	MOVLW       83
	MOVWF       ?LocalText_Display_Status+14 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+15 
	MOVLW       97
	MOVWF       ?LocalText_Display_Status+16 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+17 
	MOVLW       117
	MOVWF       ?LocalText_Display_Status+18 
	MOVLW       115
	MOVWF       ?LocalText_Display_Status+19 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+20 
	CLRF        ?LocalText_Display_Status+21 
	MOVLW       ?LocalText_Display_Status+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Display_Status+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	CLRF        FARG_Glcd_Write_Text_x_pos+0 
	CLRF        FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
	GOTO        L__Display_Status114
L__Display_Status120:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,575 :: 		Case Hall_light_Display
	MOVF        _Status_Print_State+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__Display_Status123
;Pup_Light_Project_Head_End_Screens_events_code.mbas,576 :: 		GLCD_Write_Text ("  Hall Light Status  ",0,0,1)     'Heading
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+0 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+1 
	MOVLW       72
	MOVWF       ?LocalText_Display_Status+2 
	MOVLW       97
	MOVWF       ?LocalText_Display_Status+3 
	MOVLW       108
	MOVWF       ?LocalText_Display_Status+4 
	MOVLW       108
	MOVWF       ?LocalText_Display_Status+5 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+6 
	MOVLW       76
	MOVWF       ?LocalText_Display_Status+7 
	MOVLW       105
	MOVWF       ?LocalText_Display_Status+8 
	MOVLW       103
	MOVWF       ?LocalText_Display_Status+9 
	MOVLW       104
	MOVWF       ?LocalText_Display_Status+10 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+11 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+12 
	MOVLW       83
	MOVWF       ?LocalText_Display_Status+13 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+14 
	MOVLW       97
	MOVWF       ?LocalText_Display_Status+15 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+16 
	MOVLW       117
	MOVWF       ?LocalText_Display_Status+17 
	MOVLW       115
	MOVWF       ?LocalText_Display_Status+18 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+19 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+20 
	CLRF        ?LocalText_Display_Status+21 
	MOVLW       ?LocalText_Display_Status+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Display_Status+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	CLRF        FARG_Glcd_Write_Text_x_pos+0 
	CLRF        FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
	GOTO        L__Display_Status114
L__Display_Status123:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,578 :: 		Case Sink_light_Display
	MOVF        _Status_Print_State+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__Display_Status126
;Pup_Light_Project_Head_End_Screens_events_code.mbas,579 :: 		GLCD_Write_Text ("  Sink Light Status  ",0,0,1)     'Heading
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+0 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+1 
	MOVLW       83
	MOVWF       ?LocalText_Display_Status+2 
	MOVLW       105
	MOVWF       ?LocalText_Display_Status+3 
	MOVLW       110
	MOVWF       ?LocalText_Display_Status+4 
	MOVLW       107
	MOVWF       ?LocalText_Display_Status+5 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+6 
	MOVLW       76
	MOVWF       ?LocalText_Display_Status+7 
	MOVLW       105
	MOVWF       ?LocalText_Display_Status+8 
	MOVLW       103
	MOVWF       ?LocalText_Display_Status+9 
	MOVLW       104
	MOVWF       ?LocalText_Display_Status+10 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+11 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+12 
	MOVLW       83
	MOVWF       ?LocalText_Display_Status+13 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+14 
	MOVLW       97
	MOVWF       ?LocalText_Display_Status+15 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+16 
	MOVLW       117
	MOVWF       ?LocalText_Display_Status+17 
	MOVLW       115
	MOVWF       ?LocalText_Display_Status+18 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+19 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+20 
	CLRF        ?LocalText_Display_Status+21 
	MOVLW       ?LocalText_Display_Status+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Display_Status+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	CLRF        FARG_Glcd_Write_Text_x_pos+0 
	CLRF        FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
	GOTO        L__Display_Status114
L__Display_Status126:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,581 :: 		Case Porch_light_Display
	MOVF        _Status_Print_State+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__Display_Status129
;Pup_Light_Project_Head_End_Screens_events_code.mbas,582 :: 		GLCD_Write_Text ("  Porch Light Status ",0,0,1)     'Heading
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+0 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+1 
	MOVLW       80
	MOVWF       ?LocalText_Display_Status+2 
	MOVLW       111
	MOVWF       ?LocalText_Display_Status+3 
	MOVLW       114
	MOVWF       ?LocalText_Display_Status+4 
	MOVLW       99
	MOVWF       ?LocalText_Display_Status+5 
	MOVLW       104
	MOVWF       ?LocalText_Display_Status+6 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+7 
	MOVLW       76
	MOVWF       ?LocalText_Display_Status+8 
	MOVLW       105
	MOVWF       ?LocalText_Display_Status+9 
	MOVLW       103
	MOVWF       ?LocalText_Display_Status+10 
	MOVLW       104
	MOVWF       ?LocalText_Display_Status+11 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+12 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+13 
	MOVLW       83
	MOVWF       ?LocalText_Display_Status+14 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+15 
	MOVLW       97
	MOVWF       ?LocalText_Display_Status+16 
	MOVLW       116
	MOVWF       ?LocalText_Display_Status+17 
	MOVLW       117
	MOVWF       ?LocalText_Display_Status+18 
	MOVLW       115
	MOVWF       ?LocalText_Display_Status+19 
	MOVLW       32
	MOVWF       ?LocalText_Display_Status+20 
	CLRF        ?LocalText_Display_Status+21 
	MOVLW       ?LocalText_Display_Status+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Display_Status+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	CLRF        FARG_Glcd_Write_Text_x_pos+0 
	CLRF        FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
	GOTO        L__Display_Status114
L__Display_Status129:
L__Display_Status114:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,585 :: 		Write_Controller_Data                               'Display Controllers Data for this Light
	CALL        Pup_Light_Project_Head_End_Screens_events_code_Write_Controller_Data+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,586 :: 		end sub                                                            'and manage the Status_Print_State
L_end_Display_Status:
	RETURN      0
; end of _Display_Status

_Toggle_Table_Light:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,591 :: 		sub procedure Toggle_Table_Light()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,592 :: 		if Blue_Tooth_Com_State = Idle
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Toggle_Table_Light132
;Pup_Light_Project_Head_End_Screens_events_code.mbas,594 :: 		Blue_Tooth_Com_Buff = "G1"                         'Send Command to toggel The Table Light
	MOVLW       71
	MOVWF       _Blue_Tooth_Com_Buff+0 
	MOVLW       49
	MOVWF       _Blue_Tooth_Com_Buff+1 
	CLRF        _Blue_Tooth_Com_Buff+2 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,595 :: 		Blue_Tooth_Com_State = Start_Comm                  'Turn on the Transmitter Routine
	MOVLW       1
	MOVWF       _Blue_Tooth_Com_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,596 :: 		Light_Status.0 = not Light_Status.0
	BTG         _Light_Status+0, 0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,597 :: 		Paint_Light_Icons                                  'Insert the Icons
	CALL        _Paint_Light_Icons+0, 0
L__Toggle_Table_Light132:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,599 :: 		end sub
L_end_Toggle_Table_Light:
	RETURN      0
; end of _Toggle_Table_Light

_Toggle_Hall_Light:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,603 :: 		sub procedure Toggle_Hall_Light()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,604 :: 		if Blue_Tooth_Com_State = Idle
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Toggle_Hall_Light136
;Pup_Light_Project_Head_End_Screens_events_code.mbas,606 :: 		Blue_Tooth_Com_Buff = "G2"                         'Send Command to toggel The Hall Light
	MOVLW       71
	MOVWF       _Blue_Tooth_Com_Buff+0 
	MOVLW       50
	MOVWF       _Blue_Tooth_Com_Buff+1 
	CLRF        _Blue_Tooth_Com_Buff+2 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,607 :: 		Blue_Tooth_Com_State = Start_Comm                  'Turn on the Transmitter Routine
	MOVLW       1
	MOVWF       _Blue_Tooth_Com_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,608 :: 		Light_Status.1 = not Light_Status.1
	BTG         _Light_Status+0, 1 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,609 :: 		Paint_Light_Icons                                  'Insert the Icons
	CALL        _Paint_Light_Icons+0, 0
L__Toggle_Hall_Light136:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,611 :: 		end sub
L_end_Toggle_Hall_Light:
	RETURN      0
; end of _Toggle_Hall_Light

_Toggle_Sink_Light:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,615 :: 		sub procedure Toggle_Sink_Light()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,616 :: 		if Blue_Tooth_Com_State = Idle
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Toggle_Sink_Light140
;Pup_Light_Project_Head_End_Screens_events_code.mbas,618 :: 		Blue_Tooth_Com_Buff = "G4"                         'Send Command to toggel The Sink Light
	MOVLW       71
	MOVWF       _Blue_Tooth_Com_Buff+0 
	MOVLW       52
	MOVWF       _Blue_Tooth_Com_Buff+1 
	CLRF        _Blue_Tooth_Com_Buff+2 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,619 :: 		Blue_Tooth_Com_State = Start_Comm                  'Turn on the Transmitter Routine
	MOVLW       1
	MOVWF       _Blue_Tooth_Com_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,620 :: 		Light_Status.2 = not Light_Status.2
	BTG         _Light_Status+0, 2 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,621 :: 		Paint_Light_Icons                                  'Insert the Icons
	CALL        _Paint_Light_Icons+0, 0
L__Toggle_Sink_Light140:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,623 :: 		end sub
L_end_Toggle_Sink_Light:
	RETURN      0
; end of _Toggle_Sink_Light

_Toggle_Porch_Light:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,627 :: 		sub procedure Toggle_Porch_Light()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,628 :: 		if Blue_Tooth_Com_State = Idle
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Toggle_Porch_Light144
;Pup_Light_Project_Head_End_Screens_events_code.mbas,630 :: 		Blue_Tooth_Com_Buff = "G8"                         'Send Command to toggel The Porch Light
	MOVLW       71
	MOVWF       _Blue_Tooth_Com_Buff+0 
	MOVLW       56
	MOVWF       _Blue_Tooth_Com_Buff+1 
	CLRF        _Blue_Tooth_Com_Buff+2 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,631 :: 		Blue_Tooth_Com_State = Start_Comm                  'Turn on the Transmitter Routine
	MOVLW       1
	MOVWF       _Blue_Tooth_Com_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,632 :: 		Light_Status.3 = not Light_Status.3
	BTG         _Light_Status+0, 3 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,633 :: 		Paint_Light_Icons                                  'Insert the Icons
	CALL        _Paint_Light_Icons+0, 0
L__Toggle_Porch_Light144:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,635 :: 		end sub
L_end_Toggle_Porch_Light:
	RETURN      0
; end of _Toggle_Porch_Light

_Volume_Screen:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,639 :: 		sub procedure Volume_Screen()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,640 :: 		ProgressBar1.Position = Volume_Level_Pointer
	MOVF        _Volume_Level_Pointer+0, 0 
	MOVWF       _ProgressBar1+17 
	MOVLW       0
	MOVWF       _ProgressBar1+18 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,641 :: 		DrawScreen (@VolumeScreen)
	MOVLW       _VolumeScreen+0
	MOVWF       FARG_DrawScreen_aScreen+0 
	MOVLW       hi_addr(_VolumeScreen+0)
	MOVWF       FARG_DrawScreen_aScreen+1 
	CALL        _DrawScreen+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,642 :: 		GLCD_PartialImage (5,0,63,34,63,34, @Spinaltap_Logo)
	MOVLW       5
	MOVWF       FARG_Glcd_PartialImage_x_left+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_x_left+1 
	CLRF        FARG_Glcd_PartialImage_y_top+0 
	CLRF        FARG_Glcd_PartialImage_y_top+1 
	MOVLW       63
	MOVWF       FARG_Glcd_PartialImage_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_width+1 
	MOVLW       34
	MOVWF       FARG_Glcd_PartialImage_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_height+1 
	MOVLW       63
	MOVWF       FARG_Glcd_PartialImage_picture_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_width+1 
	MOVLW       34
	MOVWF       FARG_Glcd_PartialImage_picture_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_height+1 
	MOVLW       _SpinalTap_Logo+0
	MOVWF       FARG_Glcd_PartialImage_image+0 
	MOVLW       hi_addr(_SpinalTap_Logo+0)
	MOVWF       FARG_Glcd_PartialImage_image+1 
	MOVLW       higher_addr(_SpinalTap_Logo+0)
	MOVWF       FARG_Glcd_PartialImage_image+2 
	CALL        _Glcd_PartialImage+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,643 :: 		MP3_Set_Volume
	CALL        _MP3_Set_Volume+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,644 :: 		TMR0IE_bit    = 0                                              'Disable Timer 0 Intrrupts
	BCF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,645 :: 		MUSAC_Flag = 1                                                 'Start the MUSAC
	MOVLW       1
	MOVWF       _MUSAC_Flag+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,646 :: 		TMR0IE_bit    = 1                                              'Enable Timer 0 Intrrupts
	BSF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,647 :: 		end sub
L_end_Volume_Screen:
	RETURN      0
; end of _Volume_Screen

_Volume_Up:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,651 :: 		sub procedure Volume_Up()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,652 :: 		If ProgressBar1.Position <> ProgressBar1.Max
	MOVF        _ProgressBar1+18, 0 
	XORWF       _ProgressBar1+16, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Volume_Up202
	MOVF        _ProgressBar1+15, 0 
	XORWF       _ProgressBar1+17, 0 
L__Volume_Up202:
	BTFSC       STATUS+0, 2 
	GOTO        L__Volume_Up149
;Pup_Light_Project_Head_End_Screens_events_code.mbas,654 :: 		inc (ProgressBar1.Position)
	MOVLW       1
	ADDWF       _ProgressBar1+17, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      _ProgressBar1+18, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       _ProgressBar1+17 
	MOVF        R1, 0 
	MOVWF       _ProgressBar1+18 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,655 :: 		UpdatePBPosition (@ProgressBar1)
	MOVLW       _ProgressBar1+0
	MOVWF       FARG_UpdatePBPosition_AProgressBar+0 
	MOVLW       hi_addr(_ProgressBar1+0)
	MOVWF       FARG_UpdatePBPosition_AProgressBar+1 
	CALL        _UpdatePBPosition+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,656 :: 		Volume_Level_Pointer = ProgressBar1.Position                'Point to the next number in the table
	MOVF        _ProgressBar1+17, 0 
	MOVWF       _Volume_Level_Pointer+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,657 :: 		MP3_Set_Volume
	CALL        _MP3_Set_Volume+0, 0
L__Volume_Up149:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,660 :: 		end sub
L_end_Volume_Up:
	RETURN      0
; end of _Volume_Up

_Volume_Down:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,664 :: 		sub procedure Volume_Down()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,665 :: 		if ProgressBar1.Position <> ProgressBar1.Min
	MOVF        _ProgressBar1+18, 0 
	XORWF       _ProgressBar1+14, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Volume_Down204
	MOVF        _ProgressBar1+13, 0 
	XORWF       _ProgressBar1+17, 0 
L__Volume_Down204:
	BTFSC       STATUS+0, 2 
	GOTO        L__Volume_Down153
;Pup_Light_Project_Head_End_Screens_events_code.mbas,667 :: 		dec (ProgressBar1.Position)
	MOVLW       1
	SUBWF       _ProgressBar1+17, 0 
	MOVWF       R0 
	MOVLW       0
	SUBWFB      _ProgressBar1+18, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       _ProgressBar1+17 
	MOVF        R1, 0 
	MOVWF       _ProgressBar1+18 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,668 :: 		UpdatePBPosition (@ProgressBar1)
	MOVLW       _ProgressBar1+0
	MOVWF       FARG_UpdatePBPosition_AProgressBar+0 
	MOVLW       hi_addr(_ProgressBar1+0)
	MOVWF       FARG_UpdatePBPosition_AProgressBar+1 
	CALL        _UpdatePBPosition+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,669 :: 		Volume_Level_Pointer = ProgressBar1.Position
	MOVF        _ProgressBar1+17, 0 
	MOVWF       _Volume_Level_Pointer+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,670 :: 		MP3_Set_Volume
	CALL        _MP3_Set_Volume+0, 0
L__Volume_Down153:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,673 :: 		end sub
L_end_Volume_Down:
	RETURN      0
; end of _Volume_Down

_Volume_Exit:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,675 :: 		sub procedure Volume_Exit()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,676 :: 		TMR0IE_bit         = 0
	BCF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,677 :: 		MUSAC_Flag = 0                         'Turn off the MUSAC Mode
	CLRF        _MUSAC_Flag+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,678 :: 		MP3_State = Idle                       'Stop the Player
	CLRF        _MP3_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,679 :: 		TMR0IE_bit         = 1                 'Let it run
	BSF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,680 :: 		DrawScreen (@Menu_Screen)              'Utilities Menu Screen
	MOVLW       _Menu_Screen+0
	MOVWF       FARG_DrawScreen_aScreen+0 
	MOVLW       hi_addr(_Menu_Screen+0)
	MOVWF       FARG_DrawScreen_aScreen+1 
	CALL        _DrawScreen+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,682 :: 		MP3_Reset ()                           'Stop playing and re-initialize
	CALL        _MP3_Reset+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,685 :: 		EEPROM_Write ($9, MUSAC_Counter)       'Save it for the next startup.
	MOVLW       9
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        _MUSAC_Counter+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,686 :: 		EEPROM_Delay                           'EEPROM needs 20ms to discharge
	CALL        _EEPROM_Delay+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,687 :: 		end sub
L_end_Volume_Exit:
	RETURN      0
; end of _Volume_Exit

_All_Lights_On:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,691 :: 		sub procedure All_Lights_On()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,692 :: 		if Blue_Tooth_Com_State = Idle
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__All_Lights_On158
;Pup_Light_Project_Head_End_Screens_events_code.mbas,694 :: 		Blue_Tooth_Com_Buff [0] = "C"
	MOVLW       67
	MOVWF       _Blue_Tooth_Com_Buff+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,695 :: 		Blue_Tooth_Com_Buff [1] = Fill_Char                'Turn all lights On
	MOVLW       13
	MOVWF       _Blue_Tooth_Com_Buff+1 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,696 :: 		Blue_Tooth_Com_State = Start_Comm                  'Turn on the Transmitter Routine
	MOVLW       1
	MOVWF       _Blue_Tooth_Com_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,697 :: 		Light_Status = 0x0F                                'Log them all on
	MOVLW       15
	MOVWF       _Light_Status+0 
L__All_Lights_On158:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,699 :: 		end sub
L_end_All_Lights_On:
	RETURN      0
; end of _All_Lights_On

_All_Lights_Off:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,703 :: 		sub procedure All_Lights_Off()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,704 :: 		if Blue_Tooth_Com_State = Idle
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__All_Lights_Off162
;Pup_Light_Project_Head_End_Screens_events_code.mbas,706 :: 		Blue_Tooth_Com_Buff [0] = "D"
	MOVLW       68
	MOVWF       _Blue_Tooth_Com_Buff+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,707 :: 		Blue_Tooth_Com_Buff [1] = Fill_Char                'Send Command to turn off all Lights
	MOVLW       13
	MOVWF       _Blue_Tooth_Com_Buff+1 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,708 :: 		Blue_Tooth_Com_State = Start_Comm                  'Turn on the Transmitter Routine
	MOVLW       1
	MOVWF       _Blue_Tooth_Com_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,709 :: 		Light_Status = 0x00                                 'Log them off
	CLRF        _Light_Status+0 
L__All_Lights_Off162:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,711 :: 		end sub
L_end_All_Lights_Off:
	RETURN      0
; end of _All_Lights_Off

_Light_Control:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,715 :: 		sub procedure Light_Control()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,716 :: 		DrawScreen (@LightControl_Screen)
	MOVLW       _LightControl_Screen+0
	MOVWF       FARG_DrawScreen_aScreen+0 
	MOVLW       hi_addr(_LightControl_Screen+0)
	MOVWF       FARG_DrawScreen_aScreen+1 
	CALL        _DrawScreen+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,717 :: 		Paint_Light_Icons                                     'Insert the Icons
	CALL        _Paint_Light_Icons+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,718 :: 		end sub
L_end_Light_Control:
	RETURN      0
; end of _Light_Control

_Reset_Receiver:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,722 :: 		sub procedure Reset_Receiver()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,723 :: 		if Blue_Tooth_Com_State = Idle
	MOVF        _Blue_Tooth_Com_State+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Reset_Receiver167
;Pup_Light_Project_Head_End_Screens_events_code.mbas,725 :: 		Blue_Tooth_Com_Buff [0] = "I"
	MOVLW       73
	MOVWF       _Blue_Tooth_Com_Buff+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,726 :: 		Blue_Tooth_Com_Buff [1] = Fill_Char                    'Send Command to Reset Receiver
	MOVLW       13
	MOVWF       _Blue_Tooth_Com_Buff+1 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,727 :: 		Blue_Tooth_Com_State = Start_Comm                      'Turn on the Transmitter Routine
	MOVLW       1
	MOVWF       _Blue_Tooth_Com_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,728 :: 		Light_Status = 0X00                                    'Log lights off
	CLRF        _Light_Status+0 
L__Reset_Receiver167:
;Pup_Light_Project_Head_End_Screens_events_code.mbas,731 :: 		end sub
L_end_Reset_Receiver:
	RETURN      0
; end of _Reset_Receiver

_Cal_TP:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,735 :: 		sub procedure Cal_TP()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,736 :: 		GLCD_Fill(0)
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,737 :: 		GLCD_Write_Text("Calibration",32,3,1)
	MOVLW       67
	MOVWF       ?LocalText_Cal_TP+0 
	MOVLW       97
	MOVWF       ?LocalText_Cal_TP+1 
	MOVLW       108
	MOVWF       ?LocalText_Cal_TP+2 
	MOVLW       105
	MOVWF       ?LocalText_Cal_TP+3 
	MOVLW       98
	MOVWF       ?LocalText_Cal_TP+4 
	MOVLW       114
	MOVWF       ?LocalText_Cal_TP+5 
	MOVLW       97
	MOVWF       ?LocalText_Cal_TP+6 
	MOVLW       116
	MOVWF       ?LocalText_Cal_TP+7 
	MOVLW       105
	MOVWF       ?LocalText_Cal_TP+8 
	MOVLW       111
	MOVWF       ?LocalText_Cal_TP+9 
	MOVLW       110
	MOVWF       ?LocalText_Cal_TP+10 
	CLRF        ?LocalText_Cal_TP+11 
	MOVLW       ?LocalText_Cal_TP+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?LocalText_Cal_TP+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       32
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,738 :: 		Delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__Cal_TP170:
	DECFSZ      R13, 1, 1
	BRA         L__Cal_TP170
	DECFSZ      R12, 1, 1
	BRA         L__Cal_TP170
	DECFSZ      R11, 1, 1
	BRA         L__Cal_TP170
	NOP
;Pup_Light_Project_Head_End_Screens_events_code.mbas,739 :: 		Calibrate()                                                      'Do the Calibration
	CALL        Pup_Light_Project_Head_End_Screens_events_code_Calibrate+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,740 :: 		Write_Cal_Data_To_EEPROM
	CALL        Pup_Light_Project_Head_End_Screens_events_code_Write_Cal_Data_To_EEPROM+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,741 :: 		DrawScreen (@Menu_Screen)
	MOVLW       _Menu_Screen+0
	MOVWF       FARG_DrawScreen_aScreen+0 
	MOVLW       hi_addr(_Menu_Screen+0)
	MOVWF       FARG_DrawScreen_aScreen+1 
	CALL        _DrawScreen+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,742 :: 		Status_Print_State = Display_Stat_Init                           'Incase they check the Light Status
	MOVLW       4
	MOVWF       _Status_Print_State+0 
;Pup_Light_Project_Head_End_Screens_events_code.mbas,743 :: 		end sub
L_end_Cal_TP:
	RETURN      0
; end of _Cal_TP

_MENU:

;Pup_Light_Project_Head_End_Screens_events_code.mbas,746 :: 		sub procedure MENU()
;Pup_Light_Project_Head_End_Screens_events_code.mbas,747 :: 		DrawScreen (@Menu_Screen)                                        'Utilities Menu Screen
	MOVLW       _Menu_Screen+0
	MOVWF       FARG_DrawScreen_aScreen+0 
	MOVLW       hi_addr(_Menu_Screen+0)
	MOVWF       FARG_DrawScreen_aScreen+1 
	CALL        _DrawScreen+0, 0
;Pup_Light_Project_Head_End_Screens_events_code.mbas,748 :: 		end sub
L_end_MENU:
	RETURN      0
; end of _MENU
