
_InitTimer0:

;Pup_Light_Project_Head_End_Screens_main.mbas,27 :: 		sub procedure InitTimer0()
;Pup_Light_Project_Head_End_Screens_main.mbas,28 :: 		T0CON         = 0x86              ' Set Timer 0 to a 500ms Rate
	MOVLW       134
	MOVWF       T0CON+0 
;Pup_Light_Project_Head_End_Screens_main.mbas,29 :: 		TMR0H         = 0x0B
	MOVLW       11
	MOVWF       TMR0H+0 
;Pup_Light_Project_Head_End_Screens_main.mbas,30 :: 		TMR0L         = 0xDC
	MOVLW       220
	MOVWF       TMR0L+0 
;Pup_Light_Project_Head_End_Screens_main.mbas,31 :: 		GIE_bit       = 1                 ' Enable Global Intrrupts
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;Pup_Light_Project_Head_End_Screens_main.mbas,32 :: 		TMR0IE_bit    = 1                 ' Enable Timer 0 Intrrupts
	BSF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;Pup_Light_Project_Head_End_Screens_main.mbas,33 :: 		end sub
L_end_InitTimer0:
	RETURN      0
; end of _InitTimer0

_Interrupt:

;Pup_Light_Project_Head_End_Screens_main.mbas,35 :: 		sub procedure Interrupt()
;Pup_Light_Project_Head_End_Screens_main.mbas,36 :: 		if (TMR0IF_bit) then              ' is this Timer 0 ?
	BTFSS       TMR0IF_bit+0, BitPos(TMR0IF_bit+0) 
	GOTO        L__Interrupt3
;Pup_Light_Project_Head_End_Screens_main.mbas,38 :: 		TMR0IF_bit  = 0                 ' Set Timer 0 to a 500ms Rate
	BCF         TMR0IF_bit+0, BitPos(TMR0IF_bit+0) 
;Pup_Light_Project_Head_End_Screens_main.mbas,39 :: 		TMR0H       = 0x0B
	MOVLW       11
	MOVWF       TMR0H+0 
;Pup_Light_Project_Head_End_Screens_main.mbas,40 :: 		TMR0L       = 0xDC              ' The Server runs constintly for 20 to 30 ms
	MOVLW       220
	MOVWF       TMR0L+0 
;Pup_Light_Project_Head_End_Screens_main.mbas,41 :: 		portd.5 = 1                    ' With Files at 8000 BPS
	BSF         PORTD+0, 5 
;Pup_Light_Project_Head_End_Screens_main.mbas,42 :: 		Play_MP3                        ' Run The SPI MP3 Com Server
	CALL        _Play_Mp3+0, 0
;Pup_Light_Project_Head_End_Screens_main.mbas,43 :: 		portd.5 =0
	BCF         PORTD+0, 5 
;Pup_Light_Project_Head_End_Screens_main.mbas,44 :: 		GIE_bit     = 1                 ' Enable Global Intrrupts
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;Pup_Light_Project_Head_End_Screens_main.mbas,45 :: 		TMR0IE_bit  = 1                 ' Enable Timer 0 Intrrupts
	BSF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
L__Interrupt3:
;Pup_Light_Project_Head_End_Screens_main.mbas,48 :: 		end sub
L_end_Interrupt:
L__Interrupt13:
	RETFIE      1
; end of _Interrupt

_main:

;Pup_Light_Project_Head_End_Screens_main.mbas,50 :: 		main:
;Pup_Light_Project_Head_End_Screens_main.mbas,51 :: 		Blue_Tooth_Com_State = Idle     'Start Server in Idle
	CLRF        _Blue_Tooth_Com_State+0 
;Pup_Light_Project_Head_End_Screens_main.mbas,52 :: 		Light_Status = 0x00             'All Lights OFF
	CLRF        _Light_Status+0 
;Pup_Light_Project_Head_End_Screens_main.mbas,53 :: 		Start_TP()                      'Init MCU and Touch Panel
	CALL        _Start_TP+0, 0
;Pup_Light_Project_Head_End_Screens_main.mbas,54 :: 		DrawScreen(@SplashScreen)       'Now we can use the Display
	MOVLW       _SplashScreen+0
	MOVWF       FARG_DrawScreen_aScreen+0 
	MOVLW       hi_addr(_SplashScreen+0)
	MOVWF       FARG_DrawScreen_aScreen+1 
	CALL        _DrawScreen+0, 0
;Pup_Light_Project_Head_End_Screens_main.mbas,58 :: 		Calibrate_TP_if_Needed          'See if calibration is required
	CALL        _Calibrate_TP_if_Needed+0, 0
;Pup_Light_Project_Head_End_Screens_main.mbas,59 :: 		Reset_Receiver()                'Get in sync with receiver
	CALL        _Reset_Receiver+0, 0
;Pup_Light_Project_Head_End_Screens_main.mbas,60 :: 		InitTimer0 ()                   'Start up the Interrupt
	CALL        _InitTimer0+0, 0
;Pup_Light_Project_Head_End_Screens_main.mbas,61 :: 		MP3_Init                        'Must come after Timer Init and Start_TP
	CALL        _MP3_init+0, 0
;Pup_Light_Project_Head_End_Screens_main.mbas,63 :: 		While True                      'A forever Loop to let users run code
L__main7:
;Pup_Light_Project_Head_End_Screens_main.mbas,64 :: 		Blue_Tooth_Comm_Server      'Keep the Sereve Running
	CALL        _Blue_Tooth_Comm_Server+0, 0
;Pup_Light_Project_Head_End_Screens_main.mbas,66 :: 		Check_TP()                  'Look for touches
	CALL        _Check_TP+0, 0
;Pup_Light_Project_Head_End_Screens_main.mbas,68 :: 		wend
	GOTO        L__main7
L_end_main:
	GOTO        $+0
; end of _main
